Generation Framework

## org.eclipse.gmf.mappings
Interface GMFMapPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GMFMapPackageImpl

    public interface GMFMapPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `GMFMapFactory`
** Generated **
Model:
  kind="package" annotation="http://www.eclipse.org/emf/2004/EmfaticAnnotationMap constraints='http://www.eclipse.org/gmf/2005/constraints' constraintsMeta='http://www.eclipse.org/gmf/2005/constraints/meta'" annotation="http://www.eclipse.org/gmf/2005/constraints import='http://www.eclipse.org/gmf/runtime/1.0.0/notation'"

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `APPEARANCE_STEWARD` The meta object id for the '`Appearance Steward`' class
`static int` `APPEARANCE_STEWARD__APPEARANCE_STYLE` The feature id for the 'Appearance Style' reference
`static int` `APPEARANCE_STEWARD_FEATURE_COUNT` The number of structural features of the 'Appearance Steward' class
`static int` `AUDIT_CONTAINER` The meta object id for the '`Audit Container`' class
`static int` `AUDIT_CONTAINER__AUDITS` The feature id for the 'Audits' containment reference list
`static int` `AUDIT_CONTAINER__CHILD_CONTAINERS` The feature id for the 'Child Containers' containment reference list
`static int` `AUDIT_CONTAINER__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `AUDIT_CONTAINER__ID` The feature id for the 'Id' attribute
`static int` `AUDIT_CONTAINER__NAME` The feature id for the 'Name' attribute
`static int` `AUDIT_CONTAINER__PARENT_CONTAINER` The feature id for the 'Parent Container' container reference
`static int` `AUDIT_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Audit Container' class
`static int` `AUDIT_RULE` The meta object id for the '`Audit Rule`' class
`static int` `AUDIT_RULE__CONTAINER` The feature id for the 'Container' container reference
`static int` `AUDIT_RULE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `AUDIT_RULE__ID` The feature id for the 'Id' attribute
`static int` `AUDIT_RULE__MESSAGE` The feature id for the 'Message' attribute
`static int` `AUDIT_RULE__NAME` The feature id for the 'Name' attribute
`static int` `AUDIT_RULE__RULE` The feature id for the 'Rule' containment reference
`static int` `AUDIT_RULE__SEVERITY` The feature id for the 'Severity' attribute
`static int` `AUDIT_RULE__TARGET` The feature id for the 'Target' containment reference
`static int` `AUDIT_RULE__USE_IN_LIVE_MODE` The feature id for the 'Use In Live Mode' attribute
`static int` `AUDIT_RULE_FEATURE_COUNT` The number of structural features of the 'Audit Rule' class
`static int` `AUDITABLE` The meta object id for the '`Auditable`' class
`static int` `AUDITABLE_FEATURE_COUNT` The number of structural features of the 'Auditable' class
`static int` `AUDITED_METRIC_TARGET` The meta object id for the '`Audited Metric Target`' class
`static int` `AUDITED_METRIC_TARGET__METRIC` The feature id for the 'Metric' reference
`static int` `AUDITED_METRIC_TARGET_FEATURE_COUNT` The number of structural features of the 'Audited Metric Target' class
`static int` `CANVAS_MAPPING` The meta object id for the '`Canvas Mapping`' class
`static int` `CANVAS_MAPPING__DIAGRAM_CANVAS` The feature id for the 'Diagram Canvas' reference
`static int` `CANVAS_MAPPING__DOMAIN_META_ELEMENT` The feature id for the 'Domain Meta Element' reference
`static int` `CANVAS_MAPPING__DOMAIN_MODEL` The feature id for the 'Domain Model' reference
`static int` `CANVAS_MAPPING__MENU_CONTRIBUTIONS` The feature id for the 'Menu Contributions' reference list
`static int` `CANVAS_MAPPING__PALETTE` The feature id for the 'Palette' reference
`static int` `CANVAS_MAPPING__TOOLBAR_CONTRIBUTIONS` The feature id for the 'Toolbar Contributions' reference list
`static int` `CANVAS_MAPPING_FEATURE_COUNT` The number of structural features of the 'Canvas Mapping' class
`static int` `CHILD_REFERENCE` The meta object id for the '`Child Reference`' class
`static int` `CHILD_REFERENCE__CHILD` The feature id for the 'Child' reference
`static int` `CHILD_REFERENCE__CHILDREN_FEATURE` The feature id for the 'Children Feature' reference
`static int` `CHILD_REFERENCE__COMPARTMENT` The feature id for the 'Compartment' reference
`static int` `CHILD_REFERENCE__CONTAINMENT_FEATURE` The feature id for the 'Containment Feature' reference
`static int` `CHILD_REFERENCE__OWNED_CHILD` The feature id for the 'Owned Child' containment reference
`static int` `CHILD_REFERENCE__PARENT_NODE` The feature id for the 'Parent Node' container reference
`static int` `CHILD_REFERENCE__REFERENCED_CHILD` The feature id for the 'Referenced Child' reference
`static int` `CHILD_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Child Reference' class
`static int` `COMPARTMENT_MAPPING` The meta object id for the '`Compartment Mapping`' class
`static int` `COMPARTMENT_MAPPING__CHILDREN` The feature id for the 'Children' reference list
`static int` `COMPARTMENT_MAPPING__COMPARTMENT` The feature id for the 'Compartment' reference
`static int` `COMPARTMENT_MAPPING__PARENT_NODE` The feature id for the 'Parent Node' container reference
`static int` `COMPARTMENT_MAPPING_FEATURE_COUNT` The number of structural features of the 'Compartment Mapping' class
`static int` `CONSTRAINT` The meta object id for the '`Constraint`' class
`static int` `CONSTRAINT__BODY` The feature id for the 'Body' attribute
`static int` `CONSTRAINT__LANG_NAME` The feature id for the 'Lang Name' attribute
`static int` `CONSTRAINT__LANGUAGE` The feature id for the 'Language' attribute
`static int` `CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Constraint' class
`static int` `DESIGN_LABEL_MAPPING` The meta object id for the '`Design Label Mapping`' class
`static int` `DESIGN_LABEL_MAPPING__DIAGRAM_LABEL` The feature id for the 'Diagram Label' reference
`static int` `DESIGN_LABEL_MAPPING__MAP_ENTRY` The feature id for the 'Map Entry' container reference
`static int` `DESIGN_LABEL_MAPPING__READ_ONLY` The feature id for the 'Read Only' attribute
`static int` `DESIGN_LABEL_MAPPING_FEATURE_COUNT` The number of structural features of the 'Design Label Mapping' class
`static int` `DIAGRAM_ELEMENT_TARGET` The meta object id for the '`Diagram Element Target`' class
`static int` `DIAGRAM_ELEMENT_TARGET__ELEMENT` The feature id for the 'Element' reference
`static int` `DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT` The number of structural features of the 'Diagram Element Target' class
`static int` `DOMAIN_ATTRIBUTE_TARGET` The meta object id for the '`Domain Attribute Target`' class
`static int` `DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR` The feature id for the 'Null As Error' attribute
`static int` `DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT` The number of structural features of the 'Domain Attribute Target' class
`static int` `DOMAIN_ELEMENT_TARGET` The meta object id for the '`Domain Element Target`' class
`static int` `DOMAIN_ELEMENT_TARGET__ELEMENT` The feature id for the 'Element' reference
`static int` `DOMAIN_ELEMENT_TARGET_FEATURE_COUNT` The number of structural features of the 'Domain Element Target' class
`static GMFMapPackage` `eINSTANCE` The singleton instance of the package
`static int` `ELEMENT_INITIALIZER` The meta object id for the '`Element Initializer`' class
`static int` `ELEMENT_INITIALIZER__MAPPING_ENTRY` The feature id for the 'Mapping Entry' reference
`static int` `ELEMENT_INITIALIZER_FEATURE_COUNT` The number of structural features of the 'Element Initializer' class
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `FEATURE_INITIALIZER` The meta object id for the '`Feature Initializer`' class
`static int` `FEATURE_INITIALIZER__FEATURE` The feature id for the 'Feature' reference
`static int` `FEATURE_INITIALIZER__FEATURE_SEQ_INITIALIZER` The feature id for the 'Feature Seq Initializer' container reference
`static int` `FEATURE_INITIALIZER_FEATURE_COUNT` The number of structural features of the 'Feature Initializer' class
`static int` `FEATURE_LABEL_MAPPING` The meta object id for the '`Feature Label Mapping`' class
`static int` `FEATURE_LABEL_MAPPING__DIAGRAM_LABEL` The feature id for the 'Diagram Label' reference
`static int` `FEATURE_LABEL_MAPPING__EDIT_METHOD` The feature id for the 'Edit Method' attribute
`static int` `FEATURE_LABEL_MAPPING__EDIT_PATTERN` The feature id for the 'Edit Pattern' attribute
`static int` `FEATURE_LABEL_MAPPING__EDITOR_PATTERN` The feature id for the 'Editor Pattern' attribute
`static int` `FEATURE_LABEL_MAPPING__FEATURES` The feature id for the 'Features' reference list
`static int` `FEATURE_LABEL_MAPPING__MAP_ENTRY` The feature id for the 'Map Entry' container reference
`static int` `FEATURE_LABEL_MAPPING__READ_ONLY` The feature id for the 'Read Only' attribute
`static int` `FEATURE_LABEL_MAPPING__VIEW_METHOD` The feature id for the 'View Method' attribute
`static int` `FEATURE_LABEL_MAPPING__VIEW_PATTERN` The feature id for the 'View Pattern' attribute
`static int` `FEATURE_LABEL_MAPPING_FEATURE_COUNT` The number of structural features of the 'Feature Label Mapping' class
`static int` `FEATURE_SEQ_INITIALIZER` The meta object id for the '`Feature Seq Initializer`' class
`static int` `FEATURE_SEQ_INITIALIZER__CREATING_INITIALIZER` The feature id for the 'Creating Initializer' container reference
`static int` `FEATURE_SEQ_INITIALIZER__ELEMENT_CLASS` The feature id for the 'Element Class' reference
`static int` `FEATURE_SEQ_INITIALIZER__INITIALIZERS` The feature id for the 'Initializers' containment reference list
`static int` `FEATURE_SEQ_INITIALIZER__MAPPING_ENTRY` The feature id for the 'Mapping Entry' reference
`static int` `FEATURE_SEQ_INITIALIZER_FEATURE_COUNT` The number of structural features of the 'Feature Seq Initializer' class
`static int` `FEATURE_VALUE_SPEC` The meta object id for the '`Feature Value Spec`' class
`static int` `FEATURE_VALUE_SPEC__FEATURE` The feature id for the 'Feature' reference
`static int` `FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER` The feature id for the 'Feature Seq Initializer' container reference
`static int` `FEATURE_VALUE_SPEC__VALUE` The feature id for the 'Value' containment reference
`static int` `FEATURE_VALUE_SPEC_FEATURE_COUNT` The number of structural features of the 'Feature Value Spec' class
`static int` `LABEL_MAPPING` The meta object id for the '`Label Mapping`' class
`static int` `LABEL_MAPPING__DIAGRAM_LABEL` The feature id for the 'Diagram Label' reference
`static int` `LABEL_MAPPING__MAP_ENTRY` The feature id for the 'Map Entry' container reference
`static int` `LABEL_MAPPING__READ_ONLY` The feature id for the 'Read Only' attribute
`static int` `LABEL_MAPPING_FEATURE_COUNT` The number of structural features of the 'Label Mapping' class
`static int` `LABEL_TEXT_ACCESS_METHOD` The meta object id for the '`Label Text Access Method`' enum
`static int` `LANGUAGE` The meta object id for the '`Language`' enum
`static int` `LINK_CONSTRAINTS` The meta object id for the '`Link Constraints`' class
`static int` `LINK_CONSTRAINTS__LINK_MAPPING` The feature id for the 'Link Mapping' container reference
`static int` `LINK_CONSTRAINTS__SOURCE_END` The feature id for the 'Source End' containment reference
`static int` `LINK_CONSTRAINTS__TARGET_END` The feature id for the 'Target End' containment reference
`static int` `LINK_CONSTRAINTS_FEATURE_COUNT` The number of structural features of the 'Link Constraints' class
`static int` `LINK_MAPPING` The meta object id for the '`Link Mapping`' class
`static int` `LINK_MAPPING__APPEARANCE_STYLE` The feature id for the 'Appearance Style' reference
`static int` `LINK_MAPPING__CONTAINMENT_FEATURE` The feature id for the 'Containment Feature' reference
`static int` `LINK_MAPPING__CONTEXT_MENU` The feature id for the 'Context Menu' reference
`static int` `LINK_MAPPING__CREATION_CONSTRAINTS` The feature id for the 'Creation Constraints' containment reference
`static int` `LINK_MAPPING__DIAGRAM_LINK` The feature id for the 'Diagram Link' reference
`static int` `LINK_MAPPING__DOMAIN_INITIALIZER` The feature id for the 'Domain Initializer' containment reference
`static int` `LINK_MAPPING__DOMAIN_META_ELEMENT` The feature id for the 'Domain Meta Element' reference
`static int` `LINK_MAPPING__DOMAIN_SPECIALIZATION` The feature id for the 'Domain Specialization' containment reference
`static int` `LINK_MAPPING__LABEL_MAPPINGS` The feature id for the 'Label Mappings' containment reference list
`static int` `LINK_MAPPING__LINK_META_FEATURE` The feature id for the 'Link Meta Feature' reference
`static int` `LINK_MAPPING__RELATED_DIAGRAMS` The feature id for the 'Related Diagrams' reference list
`static int` `LINK_MAPPING__SOURCE_META_FEATURE` The feature id for the 'Source Meta Feature' reference
`static int` `LINK_MAPPING__TOOL` The feature id for the 'Tool' reference
`static int` `LINK_MAPPING_FEATURE_COUNT` The number of structural features of the 'Link Mapping' class
`static int` `MAPPING` The meta object id for the '`Mapping`' class
`static int` `MAPPING__APPEARANCE_STYLES` The feature id for the 'Appearance Styles' containment reference list
`static int` `MAPPING__AUDITS` The feature id for the 'Audits' containment reference
`static int` `MAPPING__DIAGRAM` The feature id for the 'Diagram' containment reference
`static int` `MAPPING__LINKS` The feature id for the 'Links' containment reference list
`static int` `MAPPING__METRICS` The feature id for the 'Metrics' containment reference
`static int` `MAPPING__NODES` The feature id for the 'Nodes' containment reference list
`static int` `MAPPING_ENTRY` The meta object id for the '`Mapping Entry`' class
`static int` `MAPPING_ENTRY__DOMAIN_INITIALIZER` The feature id for the 'Domain Initializer' containment reference
`static int` `MAPPING_ENTRY__DOMAIN_META_ELEMENT` The feature id for the 'Domain Meta Element' reference
`static int` `MAPPING_ENTRY__DOMAIN_SPECIALIZATION` The feature id for the 'Domain Specialization' containment reference
`static int` `MAPPING_ENTRY__LABEL_MAPPINGS` The feature id for the 'Label Mappings' containment reference list
`static int` `MAPPING_ENTRY__RELATED_DIAGRAMS` The feature id for the 'Related Diagrams' reference list
`static int` `MAPPING_ENTRY_FEATURE_COUNT` The number of structural features of the 'Mapping Entry' class
`static int` `MAPPING_FEATURE_COUNT` The number of structural features of the 'Mapping' class
`static int` `MEASURABLE` The meta object id for the '`Measurable`' class
`static int` `MEASURABLE_FEATURE_COUNT` The number of structural features of the 'Measurable' class
`static int` `MENU_OWNER` The meta object id for the '`Menu Owner`' class
`static int` `MENU_OWNER__CONTEXT_MENU` The feature id for the 'Context Menu' reference
`static int` `MENU_OWNER_FEATURE_COUNT` The number of structural features of the 'Menu Owner' class
`static int` `METRIC_CONTAINER` The meta object id for the '`Metric Container`' class
`static int` `METRIC_CONTAINER__METRICS` The feature id for the 'Metrics' containment reference list
`static int` `METRIC_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Metric Container' class
`static int` `METRIC_RULE` The meta object id for the '`Metric Rule`' class
`static int` `METRIC_RULE__CONTAINER` The feature id for the 'Container' container reference
`static int` `METRIC_RULE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `METRIC_RULE__HIGH_LIMIT` The feature id for the 'High Limit' attribute
`static int` `METRIC_RULE__KEY` The feature id for the 'Key' attribute
`static int` `METRIC_RULE__LOW_LIMIT` The feature id for the 'Low Limit' attribute
`static int` `METRIC_RULE__NAME` The feature id for the 'Name' attribute
`static int` `METRIC_RULE__RULE` The feature id for the 'Rule' containment reference
`static int` `METRIC_RULE__TARGET` The feature id for the 'Target' containment reference
`static int` `METRIC_RULE_FEATURE_COUNT` The number of structural features of the 'Metric Rule' class
`static int` `NEEDS_CONTAINMENT` The meta object id for the '`Needs Containment`' class
`static int` `NEEDS_CONTAINMENT__CONTAINMENT_FEATURE` The feature id for the 'Containment Feature' reference
`static int` `NEEDS_CONTAINMENT_FEATURE_COUNT` The number of structural features of the 'Needs Containment' class
`static int` `NODE_MAPPING` The meta object id for the '`Node Mapping`' class
`static int` `NODE_MAPPING__APPEARANCE_STYLE` The feature id for the 'Appearance Style' reference
`static int` `NODE_MAPPING__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `NODE_MAPPING__COMPARTMENTS` The feature id for the 'Compartments' containment reference list
`static int` `NODE_MAPPING__CONTEXT_MENU` The feature id for the 'Context Menu' reference
`static int` `NODE_MAPPING__DIAGRAM_NODE` The feature id for the 'Diagram Node' reference
`static int` `NODE_MAPPING__DOMAIN_INITIALIZER` The feature id for the 'Domain Initializer' containment reference
`static int` `NODE_MAPPING__DOMAIN_META_ELEMENT` The feature id for the 'Domain Meta Element' reference
`static int` `NODE_MAPPING__DOMAIN_SPECIALIZATION` The feature id for the 'Domain Specialization' containment reference
`static int` `NODE_MAPPING__LABEL_MAPPINGS` The feature id for the 'Label Mappings' containment reference list
`static int` `NODE_MAPPING__RELATED_DIAGRAMS` The feature id for the 'Related Diagrams' reference list
`static int` `NODE_MAPPING__TOOL` The feature id for the 'Tool' reference
`static int` `NODE_MAPPING_FEATURE_COUNT` The number of structural features of the 'Node Mapping' class
`static int` `NODE_REFERENCE` The meta object id for the '`Node Reference`' class
`static int` `NODE_REFERENCE__CHILD` The feature id for the 'Child' reference
`static int` `NODE_REFERENCE__CHILDREN_FEATURE` The feature id for the 'Children Feature' reference
`static int` `NODE_REFERENCE__CONTAINMENT_FEATURE` The feature id for the 'Containment Feature' reference
`static int` `NODE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Node Reference' class
`static int` `NOTATION_ELEMENT_TARGET` The meta object id for the '`Notation Element Target`' class
`static int` `NOTATION_ELEMENT_TARGET__ELEMENT` The feature id for the 'Element' reference
`static int` `NOTATION_ELEMENT_TARGET_FEATURE_COUNT` The number of structural features of the 'Notation Element Target' class
`static int` `REFERENCE_NEW_ELEMENT_SPEC` The meta object id for the '`Reference New Element Spec`' class
`static int` `REFERENCE_NEW_ELEMENT_SPEC__FEATURE` The feature id for the 'Feature' reference
`static int` `REFERENCE_NEW_ELEMENT_SPEC__FEATURE_SEQ_INITIALIZER` The feature id for the 'Feature Seq Initializer' container reference
`static int` `REFERENCE_NEW_ELEMENT_SPEC__NEW_ELEMENT_INITIALIZERS` The feature id for the 'New Element Initializers' containment reference list
`static int` `REFERENCE_NEW_ELEMENT_SPEC_FEATURE_COUNT` The number of structural features of the 'Reference New Element Spec' class
`static int` `RULE_BASE` The meta object id for the '`Rule Base`' class
`static int` `RULE_BASE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `RULE_BASE__NAME` The feature id for the 'Name' attribute
`static int` `RULE_BASE_FEATURE_COUNT` The number of structural features of the 'Rule Base' class
`static int` `SEVERITY` The meta object id for the '`Severity`' enum
`static int` `TOOL_OWNER` The meta object id for the '`Tool Owner`' class
`static int` `TOOL_OWNER__TOOL` The feature id for the 'Tool' reference
`static int` `TOOL_OWNER_FEATURE_COUNT` The number of structural features of the 'Tool Owner' class
`static int` `TOP_NODE_REFERENCE` The meta object id for the '`Top Node Reference`' class
`static int` `TOP_NODE_REFERENCE__CHILD` The feature id for the 'Child' reference
`static int` `TOP_NODE_REFERENCE__CHILDREN_FEATURE` The feature id for the 'Children Feature' reference
`static int` `TOP_NODE_REFERENCE__CONTAINMENT_FEATURE` The feature id for the 'Containment Feature' reference
`static int` `TOP_NODE_REFERENCE__OWNED_CHILD` The feature id for the 'Owned Child' containment reference
`static int` `TOP_NODE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Top Node Reference' class
`static int` `VALUE_EXPRESSION` The meta object id for the '`Value Expression`' class
`static int` `VALUE_EXPRESSION__BODY` The feature id for the 'Body' attribute
`static int` `VALUE_EXPRESSION__LANG_NAME` The feature id for the 'Lang Name' attribute
`static int` `VALUE_EXPRESSION__LANGUAGE` The feature id for the 'Language' attribute
`static int` `VALUE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Value Expression' class

Method Summary
`org.eclipse.emf.ecore.EReference` `getAppearanceSteward_AppearanceStyle()` Returns the meta object for the reference '`Appearance Style`'
`org.eclipse.emf.ecore.EClass` `getAppearanceSteward()` Returns the meta object for class '`Appearance Steward`'
`org.eclipse.emf.ecore.EClass` `getAuditable()` Returns the meta object for class '`Auditable`'
`org.eclipse.emf.ecore.EReference` `getAuditContainer_Audits()` Returns the meta object for the containment reference list '`Audits`'
`org.eclipse.emf.ecore.EReference` `getAuditContainer_ChildContainers()` Returns the meta object for the containment reference list '`Child Containers`'
`org.eclipse.emf.ecore.EAttribute` `getAuditContainer_Description()` Returns the meta object for the attribute '`Description`'
`org.eclipse.emf.ecore.EAttribute` `getAuditContainer_Id()` Returns the meta object for the attribute '`Id`'
`org.eclipse.emf.ecore.EAttribute` `getAuditContainer_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` `getAuditContainer_ParentContainer()` Returns the meta object for the container reference '`Parent Container`'
`org.eclipse.emf.ecore.EClass` `getAuditContainer()` Returns the meta object for class '`Audit Container`'
`org.eclipse.emf.ecore.EReference` `getAuditedMetricTarget_Metric()` Returns the meta object for the reference '`Metric`'
`org.eclipse.emf.ecore.EClass` `getAuditedMetricTarget()` Returns the meta object for class '`Audited Metric Target`'
`org.eclipse.emf.ecore.EReference` `getAuditRule_Container()` Returns the meta object for the container reference '`Container`'
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_Id()` Returns the meta object for the attribute '`Id`'
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_Message()` Returns the meta object for the attribute '`Message`'
`org.eclipse.emf.ecore.EReference` `getAuditRule_Rule()` Returns the meta object for the containment reference '`Rule`'
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_Severity()` Returns the meta object for the attribute '`Severity`'
`org.eclipse.emf.ecore.EReference` `getAuditRule_Target()` Returns the meta object for the containment reference '`Target`'
`org.eclipse.emf.ecore.EAttribute` `getAuditRule_UseInLiveMode()` Returns the meta object for the attribute '`Use In Live Mode`'
`org.eclipse.emf.ecore.EClass` `getAuditRule()` Returns the meta object for class '`Audit Rule`'
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_DiagramCanvas()` Returns the meta object for the reference '`Diagram Canvas`'
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_DomainMetaElement()` Returns the meta object for the reference '`Domain Meta Element`'
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_DomainModel()` Returns the meta object for the reference '`Domain Model`'
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_MenuContributions()` Returns the meta object for the reference list '`Menu Contributions`'
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_Palette()` Returns the meta object for the reference '`Palette`'
`org.eclipse.emf.ecore.EReference` `getCanvasMapping_ToolbarContributions()` Returns the meta object for the reference list '`Toolbar Contributions`'
`org.eclipse.emf.ecore.EClass` `getCanvasMapping()` Returns the meta object for class '`Canvas Mapping`'
`org.eclipse.emf.ecore.EReference` `getChildReference_Compartment()` Returns the meta object for the reference '`Compartment`'
`org.eclipse.emf.ecore.EReference` `getChildReference_OwnedChild()` Returns the meta object for the containment reference '`Owned Child`'
`org.eclipse.emf.ecore.EReference` `getChildReference_ParentNode()` Returns the meta object for the container reference '`Parent Node`'
`org.eclipse.emf.ecore.EReference` `getChildReference_ReferencedChild()` Returns the meta object for the reference '`Referenced Child`'
`org.eclipse.emf.ecore.EClass` `getChildReference()` Returns the meta object for class '`Child Reference`'
`org.eclipse.emf.ecore.EReference` `getCompartmentMapping_Children()` Returns the meta object for the reference list '`Children`'
`org.eclipse.emf.ecore.EReference` `getCompartmentMapping_Compartment()` Returns the meta object for the reference '`Compartment`'
`org.eclipse.emf.ecore.EReference` `getCompartmentMapping_ParentNode()` Returns the meta object for the container reference '`Parent Node`'
`org.eclipse.emf.ecore.EClass` `getCompartmentMapping()` Returns the meta object for class '`Compartment Mapping`'
`org.eclipse.emf.ecore.EClass` `getConstraint()` Returns the meta object for class '`Constraint`'
`org.eclipse.emf.ecore.EClass` `getDesignLabelMapping()` Returns the meta object for class '`Design Label Mapping`'
`org.eclipse.emf.ecore.EReference` `getDiagramElementTarget_Element()` Returns the meta object for the reference '`Element`'
`org.eclipse.emf.ecore.EClass` `getDiagramElementTarget()` Returns the meta object for class '`Diagram Element Target`'
`org.eclipse.emf.ecore.EReference` `getDomainAttributeTarget_Attribute()` Returns the meta object for the reference '`Attribute`'
`org.eclipse.emf.ecore.EAttribute` `getDomainAttributeTarget_NullAsError()` Returns the meta object for the attribute '`Null As Error`'
`org.eclipse.emf.ecore.EClass` `getDomainAttributeTarget()` Returns the meta object for class '`Domain Attribute Target`'
`org.eclipse.emf.ecore.EReference` `getDomainElementTarget_Element()` Returns the meta object for the reference '`Element`'
`org.eclipse.emf.ecore.EClass` `getDomainElementTarget()` Returns the meta object for class '`Domain Element Target`'
`org.eclipse.emf.ecore.EReference` `getElementInitializer_MappingEntry()` Returns the meta object for the reference '`Mapping Entry`'
`org.eclipse.emf.ecore.EClass` `getElementInitializer()` Returns the meta object for class '`Element Initializer`'
`org.eclipse.emf.ecore.EReference` `getFeatureInitializer_Feature()` Returns the meta object for the reference '`Feature`'
`org.eclipse.emf.ecore.EReference` `getFeatureInitializer_FeatureSeqInitializer()` Returns the meta object for the container reference '`Feature Seq Initializer`'
`org.eclipse.emf.ecore.EClass` `getFeatureInitializer()` Returns the meta object for class '`Feature Initializer`'
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_EditMethod()` Returns the meta object for the attribute '`Edit Method`'
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_EditorPattern()` Returns the meta object for the attribute '`Editor Pattern`'
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_EditPattern()` Returns the meta object for the attribute '`Edit Pattern`'
`org.eclipse.emf.ecore.EReference` `getFeatureLabelMapping_Features()` Returns the meta object for the reference list '`Features`'
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_ViewMethod()` Returns the meta object for the attribute '`View Method`'
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelMapping_ViewPattern()` Returns the meta object for the attribute '`View Pattern`'
`org.eclipse.emf.ecore.EClass` `getFeatureLabelMapping()` Returns the meta object for class '`Feature Label Mapping`'
`org.eclipse.emf.ecore.EReference` `getFeatureSeqInitializer_CreatingInitializer()` Returns the meta object for the container reference '`Creating Initializer`'
`org.eclipse.emf.ecore.EReference` `getFeatureSeqInitializer_ElementClass()` Returns the meta object for the reference '`Element Class`'
`org.eclipse.emf.ecore.EReference` `getFeatureSeqInitializer_Initializers()` Returns the meta object for the containment reference list '`Initializers`'
`org.eclipse.emf.ecore.EClass` `getFeatureSeqInitializer()` Returns the meta object for class '`Feature Seq Initializer`'
`org.eclipse.emf.ecore.EReference` `getFeatureValueSpec_Value()` Returns the meta object for the containment reference '`Value`'
`org.eclipse.emf.ecore.EClass` `getFeatureValueSpec()` Returns the meta object for class '`Feature Value Spec`'
`GMFMapFactory` `getGMFMapFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EReference` `getLabelMapping_DiagramLabel()` Returns the meta object for the reference '`Diagram Label`'
`org.eclipse.emf.ecore.EReference` `getLabelMapping_MapEntry()` Returns the meta object for the container reference '`Map Entry`'
`org.eclipse.emf.ecore.EAttribute` `getLabelMapping_ReadOnly()` Returns the meta object for the attribute '`Read Only`'
`org.eclipse.emf.ecore.EClass` `getLabelMapping()` Returns the meta object for class '`Label Mapping`'
`org.eclipse.emf.ecore.EEnum` `getLabelTextAccessMethod()` Returns the meta object for enum '`Label Text Access Method`'
`org.eclipse.emf.ecore.EEnum` `getLanguage()` Returns the meta object for enum '`Language`'
`org.eclipse.emf.ecore.EReference` `getLinkConstraints_LinkMapping()` Returns the meta object for the container reference '`Link Mapping`'
`org.eclipse.emf.ecore.EReference` `getLinkConstraints_SourceEnd()` Returns the meta object for the containment reference '`Source End`'
`org.eclipse.emf.ecore.EReference` `getLinkConstraints_TargetEnd()` Returns the meta object for the containment reference '`Target End`'
`org.eclipse.emf.ecore.EClass` `getLinkConstraints()` Returns the meta object for class '`Link Constraints`'
`org.eclipse.emf.ecore.EReference` `getLinkMapping_CreationConstraints()` Returns the meta object for the containment reference '`Creation Constraints`'
`org.eclipse.emf.ecore.EReference` `getLinkMapping_DiagramLink()` Returns the meta object for the reference '`Diagram Link`'
`org.eclipse.emf.ecore.EReference` `getLinkMapping_LinkMetaFeature()` Returns the meta object for the reference '`Link Meta Feature`'
`org.eclipse.emf.ecore.EReference` `getLinkMapping_SourceMetaFeature()` Returns the meta object for the reference '`Source Meta Feature`'
`org.eclipse.emf.ecore.EClass` `getLinkMapping()` Returns the meta object for class '`Link Mapping`'
`org.eclipse.emf.ecore.EReference` `getMapping_AppearanceStyles()` Returns the meta object for the containment reference list '`Appearance Styles`'
`org.eclipse.emf.ecore.EReference` `getMapping_Audits()` Returns the meta object for the containment reference '`Audits`'
`org.eclipse.emf.ecore.EReference` `getMapping_Diagram()` Returns the meta object for the containment reference '`Diagram`'
`org.eclipse.emf.ecore.EReference` `getMapping_Links()` Returns the meta object for the containment reference list '`Links`'
`org.eclipse.emf.ecore.EReference` `getMapping_Metrics()` Returns the meta object for the containment reference '`Metrics`'
`org.eclipse.emf.ecore.EReference` `getMapping_Nodes()` Returns the meta object for the containment reference list '`Nodes`'
`org.eclipse.emf.ecore.EClass` `getMapping()` Returns the meta object for class '`Mapping`'
`org.eclipse.emf.ecore.EReference` `getMappingEntry_DomainInitializer()` Returns the meta object for the containment reference '`Domain Initializer`'
`org.eclipse.emf.ecore.EReference` `getMappingEntry_DomainMetaElement()` Returns the meta object for the reference '`Domain Meta Element`'
`org.eclipse.emf.ecore.EReference` `getMappingEntry_DomainSpecialization()` Returns the meta object for the containment reference '`Domain Specialization`'
`org.eclipse.emf.ecore.EReference` `getMappingEntry_LabelMappings()` Returns the meta object for the containment reference list '`Label Mappings`'
`org.eclipse.emf.ecore.EReference` `getMappingEntry_RelatedDiagrams()` Returns the meta object for the reference list '`Related Diagrams`'
`org.eclipse.emf.ecore.EClass` `getMappingEntry()` Returns the meta object for class '`Mapping Entry`'
`org.eclipse.emf.ecore.EClass` `getMeasurable()` Returns the meta object for class '`Measurable`'
`org.eclipse.emf.ecore.EReference` `getMenuOwner_ContextMenu()` Returns the meta object for the reference '`Context Menu`'
`org.eclipse.emf.ecore.EClass` `getMenuOwner()` Returns the meta object for class '`Menu Owner`'
`org.eclipse.emf.ecore.EReference` `getMetricContainer_Metrics()` Returns the meta object for the containment reference list '`Metrics`'
`org.eclipse.emf.ecore.EClass` `getMetricContainer()` Returns the meta object for class '`Metric Container`'
`org.eclipse.emf.ecore.EReference` `getMetricRule_Container()` Returns the meta object for the container reference '`Container`'
`org.eclipse.emf.ecore.EAttribute` `getMetricRule_HighLimit()` Returns the meta object for the attribute '`High Limit`'
`org.eclipse.emf.ecore.EAttribute` `getMetricRule_Key()` Returns the meta object for the attribute '`Key`'
`org.eclipse.emf.ecore.EAttribute` `getMetricRule_LowLimit()` Returns the meta object for the attribute '`Low Limit`'
`org.eclipse.emf.ecore.EReference` `getMetricRule_Rule()` Returns the meta object for the containment reference '`Rule`'
`org.eclipse.emf.ecore.EReference` `getMetricRule_Target()` Returns the meta object for the containment reference '`Target`'
`org.eclipse.emf.ecore.EClass` `getMetricRule()` Returns the meta object for class '`Metric Rule`'
`org.eclipse.emf.ecore.EReference` `getNeedsContainment_ContainmentFeature()` Returns the meta object for the reference '`Containment Feature`'
`org.eclipse.emf.ecore.EClass` `getNeedsContainment()` Returns the meta object for class '`Needs Containment`'
`org.eclipse.emf.ecore.EReference` `getNodeMapping_Children()` Returns the meta object for the containment reference list '`Children`'
`org.eclipse.emf.ecore.EReference` `getNodeMapping_Compartments()` Returns the meta object for the containment reference list '`Compartments`'
`org.eclipse.emf.ecore.EReference` `getNodeMapping_DiagramNode()` Returns the meta object for the reference '`Diagram Node`'
`org.eclipse.emf.ecore.EClass` `getNodeMapping()` Returns the meta object for class '`Node Mapping`'
`org.eclipse.emf.ecore.EReference` `getNodeReference_Child()` Returns the meta object for the reference '`Child`'
`org.eclipse.emf.ecore.EReference` `getNodeReference_ChildrenFeature()` Returns the meta object for the reference '`Children Feature`'
`org.eclipse.emf.ecore.EClass` `getNodeReference()` Returns the meta object for class '`Node Reference`'
`org.eclipse.emf.ecore.EReference` `getNotationElementTarget_Element()` Returns the meta object for the reference '`Element`'
`org.eclipse.emf.ecore.EClass` `getNotationElementTarget()` Returns the meta object for class '`Notation Element Target`'
`org.eclipse.emf.ecore.EReference` `getReferenceNewElementSpec_NewElementInitializers()` Returns the meta object for the containment reference list '`New Element Initializers`'
`org.eclipse.emf.ecore.EClass` `getReferenceNewElementSpec()` Returns the meta object for class '`Reference New Element Spec`'
`org.eclipse.emf.ecore.EAttribute` `getRuleBase_Description()` Returns the meta object for the attribute '`Description`'
`org.eclipse.emf.ecore.EAttribute` `getRuleBase_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` `getRuleBase()` Returns the meta object for class '`Rule Base`'
`org.eclipse.emf.ecore.EEnum` `getSeverity()` Returns the meta object for enum '`Severity`'
`org.eclipse.emf.ecore.EReference` `getToolOwner_Tool()` Returns the meta object for the reference '`Tool`'
`org.eclipse.emf.ecore.EClass` `getToolOwner()` Returns the meta object for class '`Tool Owner`'
`org.eclipse.emf.ecore.EReference` `getTopNodeReference_OwnedChild()` Returns the meta object for the containment reference '`Owned Child`'
`org.eclipse.emf.ecore.EClass` `getTopNodeReference()` Returns the meta object for class '`Top Node Reference`'
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_Body()` Returns the meta object for the attribute '`Body`'
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_LangName()` Returns the meta object for the attribute '`Lang Name`'
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_Language()` Returns the meta object for the attribute '`Language`'
`org.eclipse.emf.ecore.EClass` `getValueExpression()` Returns the meta object for class '`Value Expression`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  ** Generated **

### eINSTANCE

    static final GMFMapPackage eINSTANCE

  The singleton instance of the package.

  ** Generated **

### MAPPING_ENTRY

    static final int MAPPING_ENTRY

  The meta object id for the '`Mapping Entry`' class.

  See Also:
    `MappingEntryImpl`, `GMFMapPackageImpl.getMappingEntry()`, Constant Field Values
  ** Generated **

### NODE_MAPPING

    static final int NODE_MAPPING

  The meta object id for the '`Node Mapping`' class.

  See Also:
    `NodeMappingImpl`, `GMFMapPackageImpl.getNodeMapping()`, Constant Field Values
  ** Generated **

### COMPARTMENT_MAPPING

    static final int COMPARTMENT_MAPPING

  The meta object id for the '`Compartment Mapping`' class.

  See Also:
    `CompartmentMappingImpl`, `GMFMapPackageImpl.getCompartmentMapping()`, Constant Field Values
  ** Generated **

### LINK_MAPPING

    static final int LINK_MAPPING

  The meta object id for the '`Link Mapping`' class.

  See Also:
    `LinkMappingImpl`, `GMFMapPackageImpl.getLinkMapping()`, Constant Field Values
  ** Generated **

### CANVAS_MAPPING

    static final int CANVAS_MAPPING

  The meta object id for the '`Canvas Mapping`' class.

  See Also:
    `CanvasMappingImpl`, `GMFMapPackageImpl.getCanvasMapping()`, Constant Field Values
  ** Generated **

### MAPPING

    static final int MAPPING

  The meta object id for the '`Mapping`' class.

  See Also:
    `MappingImpl`, `GMFMapPackageImpl.getMapping()`, Constant Field Values
  ** Generated **

### MAPPING__NODES

    static final int MAPPING__NODES

  The feature id for the 'Nodes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING__LINKS

    static final int MAPPING__LINKS

  The feature id for the 'Links' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING__DIAGRAM

    static final int MAPPING__DIAGRAM

  The feature id for the 'Diagram' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING__APPEARANCE_STYLES

    static final int MAPPING__APPEARANCE_STYLES

  The feature id for the 'Appearance Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING__AUDITS

    static final int MAPPING__AUDITS

  The feature id for the 'Audits' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING__METRICS

    static final int MAPPING__METRICS

  The feature id for the 'Metrics' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING_FEATURE_COUNT

    static final int MAPPING_FEATURE_COUNT

  The number of structural features of the 'Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING_ENTRY__DOMAIN_META_ELEMENT

    static final int MAPPING_ENTRY__DOMAIN_META_ELEMENT

  The feature id for the 'Domain Meta Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING_ENTRY__DOMAIN_SPECIALIZATION

    static final int MAPPING_ENTRY__DOMAIN_SPECIALIZATION

  The feature id for the 'Domain Specialization' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING_ENTRY__DOMAIN_INITIALIZER

    static final int MAPPING_ENTRY__DOMAIN_INITIALIZER

  The feature id for the 'Domain Initializer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING_ENTRY__LABEL_MAPPINGS

    static final int MAPPING_ENTRY__LABEL_MAPPINGS

  The feature id for the 'Label Mappings' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING_ENTRY__RELATED_DIAGRAMS

    static final int MAPPING_ENTRY__RELATED_DIAGRAMS

  The feature id for the 'Related Diagrams' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAPPING_ENTRY_FEATURE_COUNT

    static final int MAPPING_ENTRY_FEATURE_COUNT

  The number of structural features of the 'Mapping Entry' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NEEDS_CONTAINMENT

    static final int NEEDS_CONTAINMENT

  The meta object id for the '`Needs Containment`' class.

  See Also:
    `NeedsContainment`, `GMFMapPackageImpl.getNeedsContainment()`, Constant Field Values
  ** Generated **

### NEEDS_CONTAINMENT__CONTAINMENT_FEATURE

    static final int NEEDS_CONTAINMENT__CONTAINMENT_FEATURE

  The feature id for the 'Containment Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NEEDS_CONTAINMENT_FEATURE_COUNT

    static final int NEEDS_CONTAINMENT_FEATURE_COUNT

  The number of structural features of the 'Needs Containment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_REFERENCE

    static final int NODE_REFERENCE

  The meta object id for the '`Node Reference`' class.

  See Also:
    `NodeReferenceImpl`, `GMFMapPackageImpl.getNodeReference()`, Constant Field Values
  ** Generated **

### NODE_REFERENCE__CONTAINMENT_FEATURE

    static final int NODE_REFERENCE__CONTAINMENT_FEATURE

  The feature id for the 'Containment Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_REFERENCE__CHILDREN_FEATURE

    static final int NODE_REFERENCE__CHILDREN_FEATURE

  The feature id for the 'Children Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_REFERENCE__CHILD

    static final int NODE_REFERENCE__CHILD

  The feature id for the 'Child' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_REFERENCE_FEATURE_COUNT

    static final int NODE_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Node Reference' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE

    static final int CHILD_REFERENCE

  The meta object id for the '`Child Reference`' class.

  See Also:
    `ChildReferenceImpl`, `GMFMapPackageImpl.getChildReference()`, Constant Field Values
  ** Generated **

### CHILD_REFERENCE__CONTAINMENT_FEATURE

    static final int CHILD_REFERENCE__CONTAINMENT_FEATURE

  The feature id for the 'Containment Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE__CHILDREN_FEATURE

    static final int CHILD_REFERENCE__CHILDREN_FEATURE

  The feature id for the 'Children Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE__CHILD

    static final int CHILD_REFERENCE__CHILD

  The feature id for the 'Child' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE__PARENT_NODE

    static final int CHILD_REFERENCE__PARENT_NODE

  The feature id for the 'Parent Node' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE__COMPARTMENT

    static final int CHILD_REFERENCE__COMPARTMENT

  The feature id for the 'Compartment' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE__OWNED_CHILD

    static final int CHILD_REFERENCE__OWNED_CHILD

  The feature id for the 'Owned Child' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE__REFERENCED_CHILD

    static final int CHILD_REFERENCE__REFERENCED_CHILD

  The feature id for the 'Referenced Child' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_REFERENCE_FEATURE_COUNT

    static final int CHILD_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Child Reference' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOP_NODE_REFERENCE

    static final int TOP_NODE_REFERENCE

  The meta object id for the '`Top Node Reference`' class.

  See Also:
    `TopNodeReferenceImpl`, `GMFMapPackageImpl.getTopNodeReference()`, Constant Field Values
  ** Generated **

### TOP_NODE_REFERENCE__CONTAINMENT_FEATURE

    static final int TOP_NODE_REFERENCE__CONTAINMENT_FEATURE

  The feature id for the 'Containment Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOP_NODE_REFERENCE__CHILDREN_FEATURE

    static final int TOP_NODE_REFERENCE__CHILDREN_FEATURE

  The feature id for the 'Children Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOP_NODE_REFERENCE__CHILD

    static final int TOP_NODE_REFERENCE__CHILD

  The feature id for the 'Child' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOP_NODE_REFERENCE__OWNED_CHILD

    static final int TOP_NODE_REFERENCE__OWNED_CHILD

  The feature id for the 'Owned Child' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOP_NODE_REFERENCE_FEATURE_COUNT

    static final int TOP_NODE_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Top Node Reference' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__DOMAIN_META_ELEMENT

    static final int NODE_MAPPING__DOMAIN_META_ELEMENT

  The feature id for the 'Domain Meta Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__DOMAIN_SPECIALIZATION

    static final int NODE_MAPPING__DOMAIN_SPECIALIZATION

  The feature id for the 'Domain Specialization' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__DOMAIN_INITIALIZER

    static final int NODE_MAPPING__DOMAIN_INITIALIZER

  The feature id for the 'Domain Initializer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__LABEL_MAPPINGS

    static final int NODE_MAPPING__LABEL_MAPPINGS

  The feature id for the 'Label Mappings' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__RELATED_DIAGRAMS

    static final int NODE_MAPPING__RELATED_DIAGRAMS

  The feature id for the 'Related Diagrams' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__CONTEXT_MENU

    static final int NODE_MAPPING__CONTEXT_MENU

  The feature id for the 'Context Menu' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__TOOL

    static final int NODE_MAPPING__TOOL

  The feature id for the 'Tool' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__APPEARANCE_STYLE

    static final int NODE_MAPPING__APPEARANCE_STYLE

  The feature id for the 'Appearance Style' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__DIAGRAM_NODE

    static final int NODE_MAPPING__DIAGRAM_NODE

  The feature id for the 'Diagram Node' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__CHILDREN

    static final int NODE_MAPPING__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING__COMPARTMENTS

    static final int NODE_MAPPING__COMPARTMENTS

  The feature id for the 'Compartments' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_MAPPING_FEATURE_COUNT

    static final int NODE_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Node Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT_MAPPING__COMPARTMENT

    static final int COMPARTMENT_MAPPING__COMPARTMENT

  The feature id for the 'Compartment' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT_MAPPING__PARENT_NODE

    static final int COMPARTMENT_MAPPING__PARENT_NODE

  The feature id for the 'Parent Node' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT_MAPPING__CHILDREN

    static final int COMPARTMENT_MAPPING__CHILDREN

  The feature id for the 'Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT_MAPPING_FEATURE_COUNT

    static final int COMPARTMENT_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Compartment Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__DOMAIN_META_ELEMENT

    static final int LINK_MAPPING__DOMAIN_META_ELEMENT

  The feature id for the 'Domain Meta Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__DOMAIN_SPECIALIZATION

    static final int LINK_MAPPING__DOMAIN_SPECIALIZATION

  The feature id for the 'Domain Specialization' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__DOMAIN_INITIALIZER

    static final int LINK_MAPPING__DOMAIN_INITIALIZER

  The feature id for the 'Domain Initializer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__LABEL_MAPPINGS

    static final int LINK_MAPPING__LABEL_MAPPINGS

  The feature id for the 'Label Mappings' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__RELATED_DIAGRAMS

    static final int LINK_MAPPING__RELATED_DIAGRAMS

  The feature id for the 'Related Diagrams' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__CONTAINMENT_FEATURE

    static final int LINK_MAPPING__CONTAINMENT_FEATURE

  The feature id for the 'Containment Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__CONTEXT_MENU

    static final int LINK_MAPPING__CONTEXT_MENU

  The feature id for the 'Context Menu' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__TOOL

    static final int LINK_MAPPING__TOOL

  The feature id for the 'Tool' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__APPEARANCE_STYLE

    static final int LINK_MAPPING__APPEARANCE_STYLE

  The feature id for the 'Appearance Style' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__DIAGRAM_LINK

    static final int LINK_MAPPING__DIAGRAM_LINK

  The feature id for the 'Diagram Link' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__SOURCE_META_FEATURE

    static final int LINK_MAPPING__SOURCE_META_FEATURE

  The feature id for the 'Source Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__LINK_META_FEATURE

    static final int LINK_MAPPING__LINK_META_FEATURE

  The feature id for the 'Link Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING__CREATION_CONSTRAINTS

    static final int LINK_MAPPING__CREATION_CONSTRAINTS

  The feature id for the 'Creation Constraints' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MAPPING_FEATURE_COUNT

    static final int LINK_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Link Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_MAPPING__DIAGRAM_CANVAS

    static final int CANVAS_MAPPING__DIAGRAM_CANVAS

  The feature id for the 'Diagram Canvas' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_MAPPING__DOMAIN_MODEL

    static final int CANVAS_MAPPING__DOMAIN_MODEL

  The feature id for the 'Domain Model' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_MAPPING__DOMAIN_META_ELEMENT

    static final int CANVAS_MAPPING__DOMAIN_META_ELEMENT

  The feature id for the 'Domain Meta Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_MAPPING__PALETTE

    static final int CANVAS_MAPPING__PALETTE

  The feature id for the 'Palette' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_MAPPING__MENU_CONTRIBUTIONS

    static final int CANVAS_MAPPING__MENU_CONTRIBUTIONS

  The feature id for the 'Menu Contributions' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_MAPPING__TOOLBAR_CONTRIBUTIONS

    static final int CANVAS_MAPPING__TOOLBAR_CONTRIBUTIONS

  The feature id for the 'Toolbar Contributions' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_MAPPING_FEATURE_COUNT

    static final int CANVAS_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Canvas Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_MAPPING

    static final int LABEL_MAPPING

  The meta object id for the '`Label Mapping`' class.

  See Also:
    `LabelMappingImpl`, `GMFMapPackageImpl.getLabelMapping()`, Constant Field Values
  ** Generated **

### LABEL_MAPPING__DIAGRAM_LABEL

    static final int LABEL_MAPPING__DIAGRAM_LABEL

  The feature id for the 'Diagram Label' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_MAPPING__READ_ONLY

    static final int LABEL_MAPPING__READ_ONLY

  The feature id for the 'Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_MAPPING__MAP_ENTRY

    static final int LABEL_MAPPING__MAP_ENTRY

  The feature id for the 'Map Entry' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_MAPPING_FEATURE_COUNT

    static final int LABEL_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Label Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING

    static final int FEATURE_LABEL_MAPPING

  The meta object id for the '`Feature Label Mapping`' class.

  See Also:
    `FeatureLabelMappingImpl`, `GMFMapPackageImpl.getFeatureLabelMapping()`, Constant Field Values
  ** Generated **

### FEATURE_LABEL_MAPPING__DIAGRAM_LABEL

    static final int FEATURE_LABEL_MAPPING__DIAGRAM_LABEL

  The feature id for the 'Diagram Label' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__READ_ONLY

    static final int FEATURE_LABEL_MAPPING__READ_ONLY

  The feature id for the 'Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__MAP_ENTRY

    static final int FEATURE_LABEL_MAPPING__MAP_ENTRY

  The feature id for the 'Map Entry' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__FEATURES

    static final int FEATURE_LABEL_MAPPING__FEATURES

  The feature id for the 'Features' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__VIEW_PATTERN

    static final int FEATURE_LABEL_MAPPING__VIEW_PATTERN

  The feature id for the 'View Pattern' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__EDITOR_PATTERN

    static final int FEATURE_LABEL_MAPPING__EDITOR_PATTERN

  The feature id for the 'Editor Pattern' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__EDIT_PATTERN

    static final int FEATURE_LABEL_MAPPING__EDIT_PATTERN

  The feature id for the 'Edit Pattern' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__VIEW_METHOD

    static final int FEATURE_LABEL_MAPPING__VIEW_METHOD

  The feature id for the 'View Method' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING__EDIT_METHOD

    static final int FEATURE_LABEL_MAPPING__EDIT_METHOD

  The feature id for the 'Edit Method' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MAPPING_FEATURE_COUNT

    static final int FEATURE_LABEL_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Feature Label Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESIGN_LABEL_MAPPING

    static final int DESIGN_LABEL_MAPPING

  The meta object id for the '`Design Label Mapping`' class.

  See Also:
    `DesignLabelMappingImpl`, `GMFMapPackageImpl.getDesignLabelMapping()`, Constant Field Values
  ** Generated **

### DESIGN_LABEL_MAPPING__DIAGRAM_LABEL

    static final int DESIGN_LABEL_MAPPING__DIAGRAM_LABEL

  The feature id for the 'Diagram Label' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESIGN_LABEL_MAPPING__READ_ONLY

    static final int DESIGN_LABEL_MAPPING__READ_ONLY

  The feature id for the 'Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESIGN_LABEL_MAPPING__MAP_ENTRY

    static final int DESIGN_LABEL_MAPPING__MAP_ENTRY

  The feature id for the 'Map Entry' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESIGN_LABEL_MAPPING_FEATURE_COUNT

    static final int DESIGN_LABEL_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Design Label Mapping' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VALUE_EXPRESSION

    static final int VALUE_EXPRESSION

  The meta object id for the '`Value Expression`' class.

  See Also:
    `ValueExpressionImpl`, `GMFMapPackageImpl.getValueExpression()`, Constant Field Values
  ** Generated **

### VALUE_EXPRESSION__BODY

    static final int VALUE_EXPRESSION__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VALUE_EXPRESSION__LANGUAGE

    static final int VALUE_EXPRESSION__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VALUE_EXPRESSION__LANG_NAME

    static final int VALUE_EXPRESSION__LANG_NAME

  The feature id for the 'Lang Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VALUE_EXPRESSION_FEATURE_COUNT

    static final int VALUE_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Value Expression' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONSTRAINT

    static final int CONSTRAINT

  The meta object id for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `GMFMapPackageImpl.getConstraint()`, Constant Field Values
  ** Generated **

### CONSTRAINT__BODY

    static final int CONSTRAINT__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONSTRAINT__LANGUAGE

    static final int CONSTRAINT__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONSTRAINT__LANG_NAME

    static final int CONSTRAINT__LANG_NAME

  The feature id for the 'Lang Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONSTRAINT_FEATURE_COUNT

    static final int CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Constraint' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_CONSTRAINTS

    static final int LINK_CONSTRAINTS

  The meta object id for the '`Link Constraints`' class.

  See Also:
    `LinkConstraintsImpl`, `GMFMapPackageImpl.getLinkConstraints()`, Constant Field Values
  ** Generated **

### LINK_CONSTRAINTS__LINK_MAPPING

    static final int LINK_CONSTRAINTS__LINK_MAPPING

  The feature id for the 'Link Mapping' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_CONSTRAINTS__SOURCE_END

    static final int LINK_CONSTRAINTS__SOURCE_END

  The feature id for the 'Source End' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_CONSTRAINTS__TARGET_END

    static final int LINK_CONSTRAINTS__TARGET_END

  The feature id for the 'Target End' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_CONSTRAINTS_FEATURE_COUNT

    static final int LINK_CONSTRAINTS_FEATURE_COUNT

  The number of structural features of the 'Link Constraints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELEMENT_INITIALIZER

    static final int ELEMENT_INITIALIZER

  The meta object id for the '`Element Initializer`' class.

  See Also:
    `ElementInitializer`, `GMFMapPackageImpl.getElementInitializer()`, Constant Field Values
  ** Generated **

### ELEMENT_INITIALIZER__MAPPING_ENTRY

    static final int ELEMENT_INITIALIZER__MAPPING_ENTRY

  The feature id for the 'Mapping Entry' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELEMENT_INITIALIZER_FEATURE_COUNT

    static final int ELEMENT_INITIALIZER_FEATURE_COUNT

  The number of structural features of the 'Element Initializer' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_SEQ_INITIALIZER

    static final int FEATURE_SEQ_INITIALIZER

  The meta object id for the '`Feature Seq Initializer`' class.

  See Also:
    `FeatureSeqInitializerImpl`, `GMFMapPackageImpl.getFeatureSeqInitializer()`, Constant Field Values
  ** Generated **

### FEATURE_SEQ_INITIALIZER__MAPPING_ENTRY

    static final int FEATURE_SEQ_INITIALIZER__MAPPING_ENTRY

  The feature id for the 'Mapping Entry' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_SEQ_INITIALIZER__INITIALIZERS

    static final int FEATURE_SEQ_INITIALIZER__INITIALIZERS

  The feature id for the 'Initializers' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_SEQ_INITIALIZER__ELEMENT_CLASS

    static final int FEATURE_SEQ_INITIALIZER__ELEMENT_CLASS

  The feature id for the 'Element Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_SEQ_INITIALIZER__CREATING_INITIALIZER

    static final int FEATURE_SEQ_INITIALIZER__CREATING_INITIALIZER

  The feature id for the 'Creating Initializer' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_SEQ_INITIALIZER_FEATURE_COUNT

    static final int FEATURE_SEQ_INITIALIZER_FEATURE_COUNT

  The number of structural features of the 'Feature Seq Initializer' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_INITIALIZER

    static final int FEATURE_INITIALIZER

  The meta object id for the '`Feature Initializer`' class.

  See Also:
    `FeatureInitializerImpl`, `GMFMapPackageImpl.getFeatureInitializer()`, Constant Field Values
  ** Generated **

### FEATURE_INITIALIZER__FEATURE

    static final int FEATURE_INITIALIZER__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_INITIALIZER__FEATURE_SEQ_INITIALIZER

    static final int FEATURE_INITIALIZER__FEATURE_SEQ_INITIALIZER

  The feature id for the 'Feature Seq Initializer' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_INITIALIZER_FEATURE_COUNT

    static final int FEATURE_INITIALIZER_FEATURE_COUNT

  The number of structural features of the 'Feature Initializer' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_VALUE_SPEC

    static final int FEATURE_VALUE_SPEC

  The meta object id for the '`Feature Value Spec`' class.

  See Also:
    `FeatureValueSpecImpl`, `GMFMapPackageImpl.getFeatureValueSpec()`, Constant Field Values
  ** Generated **

### FEATURE_VALUE_SPEC__FEATURE

    static final int FEATURE_VALUE_SPEC__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER

    static final int FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER

  The feature id for the 'Feature Seq Initializer' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_VALUE_SPEC__VALUE

    static final int FEATURE_VALUE_SPEC__VALUE

  The feature id for the 'Value' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_VALUE_SPEC_FEATURE_COUNT

    static final int FEATURE_VALUE_SPEC_FEATURE_COUNT

  The number of structural features of the 'Feature Value Spec' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REFERENCE_NEW_ELEMENT_SPEC

    static final int REFERENCE_NEW_ELEMENT_SPEC

  The meta object id for the '`Reference New Element Spec`' class.

  See Also:
    `ReferenceNewElementSpecImpl`, `GMFMapPackageImpl.getReferenceNewElementSpec()`, Constant Field Values
  ** Generated **

### REFERENCE_NEW_ELEMENT_SPEC__FEATURE

    static final int REFERENCE_NEW_ELEMENT_SPEC__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REFERENCE_NEW_ELEMENT_SPEC__FEATURE_SEQ_INITIALIZER

    static final int REFERENCE_NEW_ELEMENT_SPEC__FEATURE_SEQ_INITIALIZER

  The feature id for the 'Feature Seq Initializer' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REFERENCE_NEW_ELEMENT_SPEC__NEW_ELEMENT_INITIALIZERS

    static final int REFERENCE_NEW_ELEMENT_SPEC__NEW_ELEMENT_INITIALIZERS

  The feature id for the 'New Element Initializers' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REFERENCE_NEW_ELEMENT_SPEC_FEATURE_COUNT

    static final int REFERENCE_NEW_ELEMENT_SPEC_FEATURE_COUNT

  The number of structural features of the 'Reference New Element Spec' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_OWNER

    static final int MENU_OWNER

  The meta object id for the '`Menu Owner`' class.

  See Also:
    `MenuOwner`, `GMFMapPackageImpl.getMenuOwner()`, Constant Field Values
  ** Generated **

### MENU_OWNER__CONTEXT_MENU

    static final int MENU_OWNER__CONTEXT_MENU

  The feature id for the 'Context Menu' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_OWNER_FEATURE_COUNT

    static final int MENU_OWNER_FEATURE_COUNT

  The number of structural features of the 'Menu Owner' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_OWNER

    static final int TOOL_OWNER

  The meta object id for the '`Tool Owner`' class.

  See Also:
    `ToolOwner`, `GMFMapPackageImpl.getToolOwner()`, Constant Field Values
  ** Generated **

### TOOL_OWNER__TOOL

    static final int TOOL_OWNER__TOOL

  The feature id for the 'Tool' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_OWNER_FEATURE_COUNT

    static final int TOOL_OWNER_FEATURE_COUNT

  The number of structural features of the 'Tool Owner' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### APPEARANCE_STEWARD

    static final int APPEARANCE_STEWARD

  The meta object id for the '`Appearance Steward`' class.

  See Also:
    `AppearanceSteward`, `GMFMapPackageImpl.getAppearanceSteward()`, Constant Field Values
  ** Generated **

### APPEARANCE_STEWARD__APPEARANCE_STYLE

    static final int APPEARANCE_STEWARD__APPEARANCE_STYLE

  The feature id for the 'Appearance Style' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### APPEARANCE_STEWARD_FEATURE_COUNT

    static final int APPEARANCE_STEWARD_FEATURE_COUNT

  The number of structural features of the 'Appearance Steward' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_CONTAINER

    static final int AUDIT_CONTAINER

  The meta object id for the '`Audit Container`' class.

  See Also:
    `AuditContainerImpl`, `GMFMapPackageImpl.getAuditContainer()`, Constant Field Values
  ** Generated **

### AUDIT_CONTAINER__ID

    static final int AUDIT_CONTAINER__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_CONTAINER__NAME

    static final int AUDIT_CONTAINER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_CONTAINER__DESCRIPTION

    static final int AUDIT_CONTAINER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_CONTAINER__PARENT_CONTAINER

    static final int AUDIT_CONTAINER__PARENT_CONTAINER

  The feature id for the 'Parent Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_CONTAINER__AUDITS

    static final int AUDIT_CONTAINER__AUDITS

  The feature id for the 'Audits' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_CONTAINER__CHILD_CONTAINERS

    static final int AUDIT_CONTAINER__CHILD_CONTAINERS

  The feature id for the 'Child Containers' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_CONTAINER_FEATURE_COUNT

    static final int AUDIT_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Audit Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RULE_BASE

    static final int RULE_BASE

  The meta object id for the '`Rule Base`' class.

  See Also:
    `RuleBase`, `GMFMapPackageImpl.getRuleBase()`, Constant Field Values
  ** Generated **

### RULE_BASE__NAME

    static final int RULE_BASE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RULE_BASE__DESCRIPTION

    static final int RULE_BASE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RULE_BASE_FEATURE_COUNT

    static final int RULE_BASE_FEATURE_COUNT

  The number of structural features of the 'Rule Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE

    static final int AUDIT_RULE

  The meta object id for the '`Audit Rule`' class.

  See Also:
    `AuditRuleImpl`, `GMFMapPackageImpl.getAuditRule()`, Constant Field Values
  ** Generated **

### AUDIT_RULE__NAME

    static final int AUDIT_RULE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__DESCRIPTION

    static final int AUDIT_RULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__ID

    static final int AUDIT_RULE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__RULE

    static final int AUDIT_RULE__RULE

  The feature id for the 'Rule' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__TARGET

    static final int AUDIT_RULE__TARGET

  The feature id for the 'Target' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__SEVERITY

    static final int AUDIT_RULE__SEVERITY

  The feature id for the 'Severity' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__USE_IN_LIVE_MODE

    static final int AUDIT_RULE__USE_IN_LIVE_MODE

  The feature id for the 'Use In Live Mode' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__MESSAGE

    static final int AUDIT_RULE__MESSAGE

  The feature id for the 'Message' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE__CONTAINER

    static final int AUDIT_RULE__CONTAINER

  The feature id for the 'Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDIT_RULE_FEATURE_COUNT

    static final int AUDIT_RULE_FEATURE_COUNT

  The number of structural features of the 'Audit Rule' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDITABLE

    static final int AUDITABLE

  The meta object id for the '`Auditable`' class.

  See Also:
    `Auditable`, `GMFMapPackageImpl.getAuditable()`, Constant Field Values
  ** Generated **

### AUDITABLE_FEATURE_COUNT

    static final int AUDITABLE_FEATURE_COUNT

  The number of structural features of the 'Auditable' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOMAIN_ELEMENT_TARGET

    static final int DOMAIN_ELEMENT_TARGET

  The meta object id for the '`Domain Element Target`' class.

  See Also:
    `DomainElementTargetImpl`, `GMFMapPackageImpl.getDomainElementTarget()`, Constant Field Values
  ** Generated **

### DOMAIN_ELEMENT_TARGET__ELEMENT

    static final int DOMAIN_ELEMENT_TARGET__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOMAIN_ELEMENT_TARGET_FEATURE_COUNT

    static final int DOMAIN_ELEMENT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Domain Element Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOMAIN_ATTRIBUTE_TARGET

    static final int DOMAIN_ATTRIBUTE_TARGET

  The meta object id for the '`Domain Attribute Target`' class.

  See Also:
    `DomainAttributeTargetImpl`, `GMFMapPackageImpl.getDomainAttributeTarget()`, Constant Field Values
  ** Generated **

### DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE

    static final int DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR

    static final int DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR

  The feature id for the 'Null As Error' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT

    static final int DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT

  The number of structural features of the 'Domain Attribute Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_ELEMENT_TARGET

    static final int DIAGRAM_ELEMENT_TARGET

  The meta object id for the '`Diagram Element Target`' class.

  See Also:
    `DiagramElementTargetImpl`, `GMFMapPackageImpl.getDiagramElementTarget()`, Constant Field Values
  ** Generated **

### DIAGRAM_ELEMENT_TARGET__ELEMENT

    static final int DIAGRAM_ELEMENT_TARGET__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT

    static final int DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Diagram Element Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NOTATION_ELEMENT_TARGET

    static final int NOTATION_ELEMENT_TARGET

  The meta object id for the '`Notation Element Target`' class.

  See Also:
    `NotationElementTargetImpl`, `GMFMapPackageImpl.getNotationElementTarget()`, Constant Field Values
  ** Generated **

### NOTATION_ELEMENT_TARGET__ELEMENT

    static final int NOTATION_ELEMENT_TARGET__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NOTATION_ELEMENT_TARGET_FEATURE_COUNT

    static final int NOTATION_ELEMENT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Notation Element Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_CONTAINER

    static final int METRIC_CONTAINER

  The meta object id for the '`Metric Container`' class.

  See Also:
    `MetricContainerImpl`, `GMFMapPackageImpl.getMetricContainer()`, Constant Field Values
  ** Generated **

### METRIC_CONTAINER__METRICS

    static final int METRIC_CONTAINER__METRICS

  The feature id for the 'Metrics' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_CONTAINER_FEATURE_COUNT

    static final int METRIC_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Metric Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE

    static final int METRIC_RULE

  The meta object id for the '`Metric Rule`' class.

  See Also:
    `MetricRuleImpl`, `GMFMapPackageImpl.getMetricRule()`, Constant Field Values
  ** Generated **

### METRIC_RULE__NAME

    static final int METRIC_RULE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE__DESCRIPTION

    static final int METRIC_RULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE__KEY

    static final int METRIC_RULE__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE__RULE

    static final int METRIC_RULE__RULE

  The feature id for the 'Rule' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE__TARGET

    static final int METRIC_RULE__TARGET

  The feature id for the 'Target' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE__LOW_LIMIT

    static final int METRIC_RULE__LOW_LIMIT

  The feature id for the 'Low Limit' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE__HIGH_LIMIT

    static final int METRIC_RULE__HIGH_LIMIT

  The feature id for the 'High Limit' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE__CONTAINER

    static final int METRIC_RULE__CONTAINER

  The feature id for the 'Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METRIC_RULE_FEATURE_COUNT

    static final int METRIC_RULE_FEATURE_COUNT

  The number of structural features of the 'Metric Rule' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDITED_METRIC_TARGET

    static final int AUDITED_METRIC_TARGET

  The meta object id for the '`Audited Metric Target`' class.

  See Also:
    `AuditedMetricTargetImpl`, `GMFMapPackageImpl.getAuditedMetricTarget()`, Constant Field Values
  ** Generated **

### AUDITED_METRIC_TARGET__METRIC

    static final int AUDITED_METRIC_TARGET__METRIC

  The feature id for the 'Metric' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### AUDITED_METRIC_TARGET_FEATURE_COUNT

    static final int AUDITED_METRIC_TARGET_FEATURE_COUNT

  The number of structural features of the 'Audited Metric Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MEASURABLE

    static final int MEASURABLE

  The meta object id for the '`Measurable`' class.

  See Also:
    `Measurable`, `GMFMapPackageImpl.getMeasurable()`, Constant Field Values
  ** Generated **

### MEASURABLE_FEATURE_COUNT

    static final int MEASURABLE_FEATURE_COUNT

  The number of structural features of the 'Measurable' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_TEXT_ACCESS_METHOD

    static final int LABEL_TEXT_ACCESS_METHOD

  The meta object id for the '`Label Text Access Method`' enum.

  See Also:
    `LabelTextAccessMethod`, `GMFMapPackageImpl.getLabelTextAccessMethod()`, Constant Field Values
  ** Generated **

### SEVERITY

    static final int SEVERITY

  The meta object id for the '`Severity`' enum.

  See Also:
    `Severity`, `GMFMapPackageImpl.getSeverity()`, Constant Field Values
  ** Generated **

### LANGUAGE

    static final int LANGUAGE

  The meta object id for the '`Language`' enum.

  See Also:
    `Language`, `GMFMapPackageImpl.getLanguage()`, Constant Field Values
  ** Generated **

Method Detail

### getMappingEntry

    org.eclipse.emf.ecore.EClass getMappingEntry()

  Returns the meta object for class '`Mapping Entry`'.

  Returns:
    the meta object for class 'Mapping Entry'.
  See Also:
    `MappingEntry`
  ** Generated **

### getMappingEntry_DomainMetaElement

    org.eclipse.emf.ecore.EReference getMappingEntry_DomainMetaElement()

  Returns the meta object for the reference '`Domain Meta Element`'.

  Returns:
    the meta object for the reference 'Domain Meta Element'.
  See Also:
    `MappingEntry.getDomainMetaElement()`, `getMappingEntry()`
  ** Generated **

### getMappingEntry_DomainSpecialization

    org.eclipse.emf.ecore.EReference getMappingEntry_DomainSpecialization()

  Returns the meta object for the containment reference '`Domain Specialization`'.

  Returns:
    the meta object for the containment reference 'Domain Specialization'.
  See Also:
    `MappingEntry.getDomainSpecialization()`, `getMappingEntry()`
  ** Generated **

### getMappingEntry_DomainInitializer

    org.eclipse.emf.ecore.EReference getMappingEntry_DomainInitializer()

  Returns the meta object for the containment reference '`Domain Initializer`'.

  Returns:
    the meta object for the containment reference 'Domain Initializer'.
  See Also:
    `MappingEntry.getDomainInitializer()`, `getMappingEntry()`
  ** Generated **

### getMappingEntry_LabelMappings

    org.eclipse.emf.ecore.EReference getMappingEntry_LabelMappings()

  Returns the meta object for the containment reference list '`Label Mappings`'.

  Returns:
    the meta object for the containment reference list 'Label Mappings'.
  See Also:
    `MappingEntry.getLabelMappings()`, `getMappingEntry()`
  ** Generated **

### getMappingEntry_RelatedDiagrams

    org.eclipse.emf.ecore.EReference getMappingEntry_RelatedDiagrams()

  Returns the meta object for the reference list '`Related Diagrams`'.

  Returns:
    the meta object for the reference list 'Related Diagrams'.
  See Also:
    `MappingEntry.getRelatedDiagrams()`, `getMappingEntry()`
  ** Generated **

### getNeedsContainment

    org.eclipse.emf.ecore.EClass getNeedsContainment()

  Returns the meta object for class '`Needs Containment`'.

  Returns:
    the meta object for class 'Needs Containment'.
  See Also:
    `NeedsContainment`
  ** Generated **

### getNeedsContainment_ContainmentFeature

    org.eclipse.emf.ecore.EReference getNeedsContainment_ContainmentFeature()

  Returns the meta object for the reference '`Containment Feature`'.

  Returns:
    the meta object for the reference 'Containment Feature'.
  See Also:
    `NeedsContainment.getContainmentFeature()`, `getNeedsContainment()`
  ** Generated **

### getNodeReference

    org.eclipse.emf.ecore.EClass getNodeReference()

  Returns the meta object for class '`Node Reference`'.

  Returns:
    the meta object for class 'Node Reference'.
  See Also:
    `NodeReference`
  ** Generated **

### getNodeReference_ChildrenFeature

    org.eclipse.emf.ecore.EReference getNodeReference_ChildrenFeature()

  Returns the meta object for the reference '`Children Feature`'.

  Returns:
    the meta object for the reference 'Children Feature'.
  See Also:
    `NodeReference.getChildrenFeature()`, `getNodeReference()`
  ** Generated **

### getNodeReference_Child

    org.eclipse.emf.ecore.EReference getNodeReference_Child()

  Returns the meta object for the reference '`Child`'.

  Returns:
    the meta object for the reference 'Child'.
  See Also:
    `NodeReference.getChild()`, `getNodeReference()`
  ** Generated **

### getChildReference

    org.eclipse.emf.ecore.EClass getChildReference()

  Returns the meta object for class '`Child Reference`'.

  Returns:
    the meta object for class 'Child Reference'.
  See Also:
    `ChildReference`
  ** Generated **

### getChildReference_ParentNode

    org.eclipse.emf.ecore.EReference getChildReference_ParentNode()

  Returns the meta object for the container reference '`Parent Node`'.

  Returns:
    the meta object for the container reference 'Parent Node'.
  See Also:
    `ChildReference.getParentNode()`, `getChildReference()`
  ** Generated **

### getChildReference_Compartment

    org.eclipse.emf.ecore.EReference getChildReference_Compartment()

  Returns the meta object for the reference '`Compartment`'.

  Returns:
    the meta object for the reference 'Compartment'.
  See Also:
    `ChildReference.getCompartment()`, `getChildReference()`
  ** Generated **

### getChildReference_OwnedChild

    org.eclipse.emf.ecore.EReference getChildReference_OwnedChild()

  Returns the meta object for the containment reference '`Owned Child`'.

  Returns:
    the meta object for the containment reference 'Owned Child'.
  See Also:
    `ChildReference.getOwnedChild()`, `getChildReference()`
  ** Generated **

### getChildReference_ReferencedChild

    org.eclipse.emf.ecore.EReference getChildReference_ReferencedChild()

  Returns the meta object for the reference '`Referenced Child`'.

  Returns:
    the meta object for the reference 'Referenced Child'.
  See Also:
    `ChildReference.getReferencedChild()`, `getChildReference()`
  ** Generated **

### getTopNodeReference

    org.eclipse.emf.ecore.EClass getTopNodeReference()

  Returns the meta object for class '`Top Node Reference`'.

  Returns:
    the meta object for class 'Top Node Reference'.
  See Also:
    `TopNodeReference`
  ** Generated **

### getTopNodeReference_OwnedChild

    org.eclipse.emf.ecore.EReference getTopNodeReference_OwnedChild()

  Returns the meta object for the containment reference '`Owned Child`'.

  Returns:
    the meta object for the containment reference 'Owned Child'.
  See Also:
    `TopNodeReference.getOwnedChild()`, `getTopNodeReference()`
  ** Generated **

### getNodeMapping

    org.eclipse.emf.ecore.EClass getNodeMapping()

  Returns the meta object for class '`Node Mapping`'.

  Returns:
    the meta object for class 'Node Mapping'.
  See Also:
    `NodeMapping`
  ** Generated **

### getNodeMapping_DiagramNode

    org.eclipse.emf.ecore.EReference getNodeMapping_DiagramNode()

  Returns the meta object for the reference '`Diagram Node`'.

  Returns:
    the meta object for the reference 'Diagram Node'.
  See Also:
    `NodeMapping.getDiagramNode()`, `getNodeMapping()`
  ** Generated **

### getNodeMapping_Children

    org.eclipse.emf.ecore.EReference getNodeMapping_Children()

  Returns the meta object for the containment reference list '`Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `NodeMapping.getChildren()`, `getNodeMapping()`
  ** Generated **

### getNodeMapping_Compartments

    org.eclipse.emf.ecore.EReference getNodeMapping_Compartments()

  Returns the meta object for the containment reference list '`Compartments`'.

  Returns:
    the meta object for the containment reference list 'Compartments'.
  See Also:
    `NodeMapping.getCompartments()`, `getNodeMapping()`
  ** Generated **

### getCompartmentMapping

    org.eclipse.emf.ecore.EClass getCompartmentMapping()

  Returns the meta object for class '`Compartment Mapping`'.

  Returns:
    the meta object for class 'Compartment Mapping'.
  See Also:
    `CompartmentMapping`
  ** Generated **

### getCompartmentMapping_Compartment

    org.eclipse.emf.ecore.EReference getCompartmentMapping_Compartment()

  Returns the meta object for the reference '`Compartment`'.

  Returns:
    the meta object for the reference 'Compartment'.
  See Also:
    `CompartmentMapping.getCompartment()`, `getCompartmentMapping()`
  ** Generated **

### getCompartmentMapping_ParentNode

    org.eclipse.emf.ecore.EReference getCompartmentMapping_ParentNode()

  Returns the meta object for the container reference '`Parent Node`'.

  Returns:
    the meta object for the container reference 'Parent Node'.
  See Also:
    `CompartmentMapping.getParentNode()`, `getCompartmentMapping()`
  ** Generated **

### getCompartmentMapping_Children

    org.eclipse.emf.ecore.EReference getCompartmentMapping_Children()

  Returns the meta object for the reference list '`Children`'.

  Returns:
    the meta object for the reference list 'Children'.
  See Also:
    `CompartmentMapping.getChildren()`, `getCompartmentMapping()`
  ** Generated **

### getLinkMapping

    org.eclipse.emf.ecore.EClass getLinkMapping()

  Returns the meta object for class '`Link Mapping`'.

  Returns:
    the meta object for class 'Link Mapping'.
  See Also:
    `LinkMapping`
  ** Generated **

### getLinkMapping_DiagramLink

    org.eclipse.emf.ecore.EReference getLinkMapping_DiagramLink()

  Returns the meta object for the reference '`Diagram Link`'.

  Returns:
    the meta object for the reference 'Diagram Link'.
  See Also:
    `LinkMapping.getDiagramLink()`, `getLinkMapping()`
  ** Generated **

### getLinkMapping_SourceMetaFeature

    org.eclipse.emf.ecore.EReference getLinkMapping_SourceMetaFeature()

  Returns the meta object for the reference '`Source Meta Feature`'.

  Returns:
    the meta object for the reference 'Source Meta Feature'.
  See Also:
    `LinkMapping.getSourceMetaFeature()`, `getLinkMapping()`
  ** Generated **

### getLinkMapping_LinkMetaFeature

    org.eclipse.emf.ecore.EReference getLinkMapping_LinkMetaFeature()

  Returns the meta object for the reference '`Link Meta Feature`'.

  Returns:
    the meta object for the reference 'Link Meta Feature'.
  See Also:
    `LinkMapping.getLinkMetaFeature()`, `getLinkMapping()`
  ** Generated **

### getLinkMapping_CreationConstraints

    org.eclipse.emf.ecore.EReference getLinkMapping_CreationConstraints()

  Returns the meta object for the containment reference '`Creation Constraints`'.

  Returns:
    the meta object for the containment reference 'Creation Constraints'.
  See Also:
    `LinkMapping.getCreationConstraints()`, `getLinkMapping()`
  ** Generated **

### getCanvasMapping

    org.eclipse.emf.ecore.EClass getCanvasMapping()

  Returns the meta object for class '`Canvas Mapping`'.

  Returns:
    the meta object for class 'Canvas Mapping'.
  See Also:
    `CanvasMapping`
  ** Generated **

### getCanvasMapping_DiagramCanvas

    org.eclipse.emf.ecore.EReference getCanvasMapping_DiagramCanvas()

  Returns the meta object for the reference '`Diagram Canvas`'.

  Returns:
    the meta object for the reference 'Diagram Canvas'.
  See Also:
    `CanvasMapping.getDiagramCanvas()`, `getCanvasMapping()`
  ** Generated **

### getCanvasMapping_DomainModel

    org.eclipse.emf.ecore.EReference getCanvasMapping_DomainModel()

  Returns the meta object for the reference '`Domain Model`'.

  Returns:
    the meta object for the reference 'Domain Model'.
  See Also:
    `CanvasMapping.getDomainModel()`, `getCanvasMapping()`
  ** Generated **

### getCanvasMapping_DomainMetaElement

    org.eclipse.emf.ecore.EReference getCanvasMapping_DomainMetaElement()

  Returns the meta object for the reference '`Domain Meta Element`'.

  Returns:
    the meta object for the reference 'Domain Meta Element'.
  See Also:
    `CanvasMapping.getDomainMetaElement()`, `getCanvasMapping()`
  ** Generated **

### getCanvasMapping_Palette

    org.eclipse.emf.ecore.EReference getCanvasMapping_Palette()

  Returns the meta object for the reference '`Palette`'.

  Returns:
    the meta object for the reference 'Palette'.
  See Also:
    `CanvasMapping.getPalette()`, `getCanvasMapping()`
  ** Generated **

### getCanvasMapping_MenuContributions

    org.eclipse.emf.ecore.EReference getCanvasMapping_MenuContributions()

  Returns the meta object for the reference list '`Menu Contributions`'.

  Returns:
    the meta object for the reference list 'Menu Contributions'.
  See Also:
    `CanvasMapping.getMenuContributions()`, `getCanvasMapping()`
  ** Generated **

### getCanvasMapping_ToolbarContributions

    org.eclipse.emf.ecore.EReference getCanvasMapping_ToolbarContributions()

  Returns the meta object for the reference list '`Toolbar Contributions`'.

  Returns:
    the meta object for the reference list 'Toolbar Contributions'.
  See Also:
    `CanvasMapping.getToolbarContributions()`, `getCanvasMapping()`
  ** Generated **

### getLabelMapping

    org.eclipse.emf.ecore.EClass getLabelMapping()

  Returns the meta object for class '`Label Mapping`'.

  Returns:
    the meta object for class 'Label Mapping'.
  See Also:
    `LabelMapping`
  ** Generated **

### getLabelMapping_DiagramLabel

    org.eclipse.emf.ecore.EReference getLabelMapping_DiagramLabel()

  Returns the meta object for the reference '`Diagram Label`'.

  Returns:
    the meta object for the reference 'Diagram Label'.
  See Also:
    `LabelMapping.getDiagramLabel()`, `getLabelMapping()`
  ** Generated **

### getLabelMapping_ReadOnly

    org.eclipse.emf.ecore.EAttribute getLabelMapping_ReadOnly()

  Returns the meta object for the attribute '`Read Only`'.

  Returns:
    the meta object for the attribute 'Read Only'.
  See Also:
    `LabelMapping.isReadOnly()`, `getLabelMapping()`
  ** Generated **

### getLabelMapping_MapEntry

    org.eclipse.emf.ecore.EReference getLabelMapping_MapEntry()

  Returns the meta object for the container reference '`Map Entry`'.

  Returns:
    the meta object for the container reference 'Map Entry'.
  See Also:
    `LabelMapping.getMapEntry()`, `getLabelMapping()`
  ** Generated **

### getFeatureLabelMapping

    org.eclipse.emf.ecore.EClass getFeatureLabelMapping()

  Returns the meta object for class '`Feature Label Mapping`'.

  Returns:
    the meta object for class 'Feature Label Mapping'.
  See Also:
    `FeatureLabelMapping`
  ** Generated **

### getFeatureLabelMapping_Features

    org.eclipse.emf.ecore.EReference getFeatureLabelMapping_Features()

  Returns the meta object for the reference list '`Features`'.

  Returns:
    the meta object for the reference list 'Features'.
  See Also:
    `FeatureLabelMapping.getFeatures()`, `getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_ViewPattern

    org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_ViewPattern()

  Returns the meta object for the attribute '`View Pattern`'.

  Returns:
    the meta object for the attribute 'View Pattern'.
  See Also:
    `FeatureLabelMapping.getViewPattern()`, `getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_EditorPattern

    org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_EditorPattern()

  Returns the meta object for the attribute '`Editor Pattern`'.

  Returns:
    the meta object for the attribute 'Editor Pattern'.
  See Also:
    `FeatureLabelMapping.getEditorPattern()`, `getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_ViewMethod

    org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_ViewMethod()

  Returns the meta object for the attribute '`View Method`'.

  Returns:
    the meta object for the attribute 'View Method'.
  See Also:
    `FeatureLabelMapping.getViewMethod()`, `getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_EditPattern

    org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_EditPattern()

  Returns the meta object for the attribute '`Edit Pattern`'.

  Returns:
    the meta object for the attribute 'Edit Pattern'.
  See Also:
    `FeatureLabelMapping.getEditPattern()`, `getFeatureLabelMapping()`
  ** Generated **

### getFeatureLabelMapping_EditMethod

    org.eclipse.emf.ecore.EAttribute getFeatureLabelMapping_EditMethod()

  Returns the meta object for the attribute '`Edit Method`'.

  Returns:
    the meta object for the attribute 'Edit Method'.
  See Also:
    `FeatureLabelMapping.getEditMethod()`, `getFeatureLabelMapping()`
  ** Generated **

### getDesignLabelMapping

    org.eclipse.emf.ecore.EClass getDesignLabelMapping()

  Returns the meta object for class '`Design Label Mapping`'.

  Returns:
    the meta object for class 'Design Label Mapping'.
  See Also:
    `DesignLabelMapping`
  ** Generated **

### getMapping

    org.eclipse.emf.ecore.EClass getMapping()

  Returns the meta object for class '`Mapping`'.

  Returns:
    the meta object for class 'Mapping'.
  See Also:
    `Mapping`
  ** Generated **

### getMapping_Nodes

    org.eclipse.emf.ecore.EReference getMapping_Nodes()

  Returns the meta object for the containment reference list '`Nodes`'.

  Returns:
    the meta object for the containment reference list 'Nodes'.
  See Also:
    `Mapping.getNodes()`, `getMapping()`
  ** Generated **

### getMapping_Links

    org.eclipse.emf.ecore.EReference getMapping_Links()

  Returns the meta object for the containment reference list '`Links`'.

  Returns:
    the meta object for the containment reference list 'Links'.
  See Also:
    `Mapping.getLinks()`, `getMapping()`
  ** Generated **

### getMapping_Diagram

    org.eclipse.emf.ecore.EReference getMapping_Diagram()

  Returns the meta object for the containment reference '`Diagram`'.

  Returns:
    the meta object for the containment reference 'Diagram'.
  See Also:
    `Mapping.getDiagram()`, `getMapping()`
  ** Generated **

### getMapping_AppearanceStyles

    org.eclipse.emf.ecore.EReference getMapping_AppearanceStyles()

  Returns the meta object for the containment reference list '`Appearance Styles`'.

  Returns:
    the meta object for the containment reference list 'Appearance Styles'.
  See Also:
    `Mapping.getAppearanceStyles()`, `getMapping()`
  ** Generated **

### getMapping_Audits

    org.eclipse.emf.ecore.EReference getMapping_Audits()

  Returns the meta object for the containment reference '`Audits`'.

  Returns:
    the meta object for the containment reference 'Audits'.
  See Also:
    `Mapping.getAudits()`, `getMapping()`
  ** Generated **

### getMapping_Metrics

    org.eclipse.emf.ecore.EReference getMapping_Metrics()

  Returns the meta object for the containment reference '`Metrics`'.

  Returns:
    the meta object for the containment reference 'Metrics'.
  See Also:
    `Mapping.getMetrics()`, `getMapping()`
  ** Generated **

### getConstraint

    org.eclipse.emf.ecore.EClass getConstraint()

  Returns the meta object for class '`Constraint`'.

  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`
  ** Generated **

### getLinkConstraints

    org.eclipse.emf.ecore.EClass getLinkConstraints()

  Returns the meta object for class '`Link Constraints`'.

  Returns:
    the meta object for class 'Link Constraints'.
  See Also:
    `LinkConstraints`
  ** Generated **

### getLinkConstraints_LinkMapping

    org.eclipse.emf.ecore.EReference getLinkConstraints_LinkMapping()

  Returns the meta object for the container reference '`Link Mapping`'.

  Returns:
    the meta object for the container reference 'Link Mapping'.
  See Also:
    `LinkConstraints.getLinkMapping()`, `getLinkConstraints()`
  ** Generated **

### getLinkConstraints_SourceEnd

    org.eclipse.emf.ecore.EReference getLinkConstraints_SourceEnd()

  Returns the meta object for the containment reference '`Source End`'.

  Returns:
    the meta object for the containment reference 'Source End'.
  See Also:
    `LinkConstraints.getSourceEnd()`, `getLinkConstraints()`
  ** Generated **

### getLinkConstraints_TargetEnd

    org.eclipse.emf.ecore.EReference getLinkConstraints_TargetEnd()

  Returns the meta object for the containment reference '`Target End`'.

  Returns:
    the meta object for the containment reference 'Target End'.
  See Also:
    `LinkConstraints.getTargetEnd()`, `getLinkConstraints()`
  ** Generated **

### getValueExpression

    org.eclipse.emf.ecore.EClass getValueExpression()

  Returns the meta object for class '`Value Expression`'.

  Returns:
    the meta object for class 'Value Expression'.
  See Also:
    `ValueExpression`
  ** Generated **

### getValueExpression_Body

    org.eclipse.emf.ecore.EAttribute getValueExpression_Body()

  Returns the meta object for the attribute '`Body`'.

  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `ValueExpression.getBody()`, `getValueExpression()`
  ** Generated **

### getValueExpression_Language

    org.eclipse.emf.ecore.EAttribute getValueExpression_Language()

  Returns the meta object for the attribute '`Language`'.

  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `ValueExpression.getLanguage()`, `getValueExpression()`
  ** Generated **

### getValueExpression_LangName

    org.eclipse.emf.ecore.EAttribute getValueExpression_LangName()

  Returns the meta object for the attribute '`Lang Name`'.

  Returns:
    the meta object for the attribute 'Lang Name'.
  See Also:
    `ValueExpression.getLangName()`, `getValueExpression()`
  ** Generated **

### getElementInitializer

    org.eclipse.emf.ecore.EClass getElementInitializer()

  Returns the meta object for class '`Element Initializer`'.

  Returns:
    the meta object for class 'Element Initializer'.
  See Also:
    `ElementInitializer`
  ** Generated **

### getElementInitializer_MappingEntry

    org.eclipse.emf.ecore.EReference getElementInitializer_MappingEntry()

  Returns the meta object for the reference '`Mapping Entry`'.

  Returns:
    the meta object for the reference 'Mapping Entry'.
  See Also:
    `ElementInitializer.getMappingEntry()`, `getElementInitializer()`
  ** Generated **

### getFeatureSeqInitializer

    org.eclipse.emf.ecore.EClass getFeatureSeqInitializer()

  Returns the meta object for class '`Feature Seq Initializer`'.

  Returns:
    the meta object for class 'Feature Seq Initializer'.
  See Also:
    `FeatureSeqInitializer`
  ** Generated **

### getFeatureSeqInitializer_Initializers

    org.eclipse.emf.ecore.EReference getFeatureSeqInitializer_Initializers()

  Returns the meta object for the containment reference list '`Initializers`'.

  Returns:
    the meta object for the containment reference list 'Initializers'.
  See Also:
    `FeatureSeqInitializer.getInitializers()`, `getFeatureSeqInitializer()`
  ** Generated **

### getFeatureSeqInitializer_ElementClass

    org.eclipse.emf.ecore.EReference getFeatureSeqInitializer_ElementClass()

  Returns the meta object for the reference '`Element Class`'.

  Returns:
    the meta object for the reference 'Element Class'.
  See Also:
    `FeatureSeqInitializer.getElementClass()`, `getFeatureSeqInitializer()`
  ** Generated **

### getFeatureSeqInitializer_CreatingInitializer

    org.eclipse.emf.ecore.EReference getFeatureSeqInitializer_CreatingInitializer()

  Returns the meta object for the container reference '`Creating Initializer`'.

  Returns:
    the meta object for the container reference 'Creating Initializer'.
  See Also:
    `FeatureSeqInitializer.getCreatingInitializer()`, `getFeatureSeqInitializer()`
  ** Generated **

### getFeatureInitializer

    org.eclipse.emf.ecore.EClass getFeatureInitializer()

  Returns the meta object for class '`Feature Initializer`'.

  Returns:
    the meta object for class 'Feature Initializer'.
  See Also:
    `FeatureInitializer`
  ** Generated **

### getFeatureInitializer_Feature

    org.eclipse.emf.ecore.EReference getFeatureInitializer_Feature()

  Returns the meta object for the reference '`Feature`'.

  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `FeatureInitializer.getFeature()`, `getFeatureInitializer()`
  ** Generated **

### getFeatureInitializer_FeatureSeqInitializer

    org.eclipse.emf.ecore.EReference getFeatureInitializer_FeatureSeqInitializer()

  Returns the meta object for the container reference '`Feature Seq Initializer`'.

  Returns:
    the meta object for the container reference 'Feature Seq Initializer'.
  See Also:
    `FeatureInitializer.getFeatureSeqInitializer()`, `getFeatureInitializer()`
  ** Generated **

### getFeatureValueSpec

    org.eclipse.emf.ecore.EClass getFeatureValueSpec()

  Returns the meta object for class '`Feature Value Spec`'.

  Returns:
    the meta object for class 'Feature Value Spec'.
  See Also:
    `FeatureValueSpec`
  ** Generated **

### getFeatureValueSpec_Value

    org.eclipse.emf.ecore.EReference getFeatureValueSpec_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `FeatureValueSpec.getValue()`, `getFeatureValueSpec()`
  ** Generated **

### getReferenceNewElementSpec

    org.eclipse.emf.ecore.EClass getReferenceNewElementSpec()

  Returns the meta object for class '`Reference New Element Spec`'.

  Returns:
    the meta object for class 'Reference New Element Spec'.
  See Also:
    `ReferenceNewElementSpec`
  ** Generated **

### getReferenceNewElementSpec_NewElementInitializers

    org.eclipse.emf.ecore.EReference getReferenceNewElementSpec_NewElementInitializers()

  Returns the meta object for the containment reference list '`New Element Initializers`'.

  Returns:
    the meta object for the containment reference list 'New Element Initializers'.
  See Also:
    `ReferenceNewElementSpec.getNewElementInitializers()`, `getReferenceNewElementSpec()`
  ** Generated **

### getMenuOwner

    org.eclipse.emf.ecore.EClass getMenuOwner()

  Returns the meta object for class '`Menu Owner`'.

  Returns:
    the meta object for class 'Menu Owner'.
  See Also:
    `MenuOwner`
  ** Generated **

### getMenuOwner_ContextMenu

    org.eclipse.emf.ecore.EReference getMenuOwner_ContextMenu()

  Returns the meta object for the reference '`Context Menu`'.

  Returns:
    the meta object for the reference 'Context Menu'.
  See Also:
    `MenuOwner.getContextMenu()`, `getMenuOwner()`
  ** Generated **

### getToolOwner

    org.eclipse.emf.ecore.EClass getToolOwner()

  Returns the meta object for class '`Tool Owner`'.

  Returns:
    the meta object for class 'Tool Owner'.
  See Also:
    `ToolOwner`
  ** Generated **

### getToolOwner_Tool

    org.eclipse.emf.ecore.EReference getToolOwner_Tool()

  Returns the meta object for the reference '`Tool`'.

  Returns:
    the meta object for the reference 'Tool'.
  See Also:
    `ToolOwner.getTool()`, `getToolOwner()`
  ** Generated **

### getAppearanceSteward

    org.eclipse.emf.ecore.EClass getAppearanceSteward()

  Returns the meta object for class '`Appearance Steward`'.

  Returns:
    the meta object for class 'Appearance Steward'.
  See Also:
    `AppearanceSteward`
  ** Generated **

### getAppearanceSteward_AppearanceStyle

    org.eclipse.emf.ecore.EReference getAppearanceSteward_AppearanceStyle()

  Returns the meta object for the reference '`Appearance Style`'.

  Returns:
    the meta object for the reference 'Appearance Style'.
  See Also:
    `AppearanceSteward.getAppearanceStyle()`, `getAppearanceSteward()`
  ** Generated **

### getAuditContainer

    org.eclipse.emf.ecore.EClass getAuditContainer()

  Returns the meta object for class '`Audit Container`'.

  Returns:
    the meta object for class 'Audit Container'.
  See Also:
    `AuditContainer`
  ** Generated **

### getAuditContainer_Id

    org.eclipse.emf.ecore.EAttribute getAuditContainer_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `AuditContainer.getId()`, `getAuditContainer()`
  ** Generated **

### getAuditContainer_Name

    org.eclipse.emf.ecore.EAttribute getAuditContainer_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `AuditContainer.getName()`, `getAuditContainer()`
  ** Generated **

### getAuditContainer_Description

    org.eclipse.emf.ecore.EAttribute getAuditContainer_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `AuditContainer.getDescription()`, `getAuditContainer()`
  ** Generated **

### getAuditContainer_ParentContainer

    org.eclipse.emf.ecore.EReference getAuditContainer_ParentContainer()

  Returns the meta object for the container reference '`Parent Container`'.

  Returns:
    the meta object for the container reference 'Parent Container'.
  See Also:
    `AuditContainer.getParentContainer()`, `getAuditContainer()`
  ** Generated **

### getAuditContainer_Audits

    org.eclipse.emf.ecore.EReference getAuditContainer_Audits()

  Returns the meta object for the containment reference list '`Audits`'.

  Returns:
    the meta object for the containment reference list 'Audits'.
  See Also:
    `AuditContainer.getAudits()`, `getAuditContainer()`
  ** Generated **

### getAuditContainer_ChildContainers

    org.eclipse.emf.ecore.EReference getAuditContainer_ChildContainers()

  Returns the meta object for the containment reference list '`Child Containers`'.

  Returns:
    the meta object for the containment reference list 'Child Containers'.
  See Also:
    `AuditContainer.getChildContainers()`, `getAuditContainer()`
  ** Generated **

### getAuditRule

    org.eclipse.emf.ecore.EClass getAuditRule()

  Returns the meta object for class '`Audit Rule`'.

  Returns:
    the meta object for class 'Audit Rule'.
  See Also:
    `AuditRule`
  ** Generated **

### getAuditRule_Id

    org.eclipse.emf.ecore.EAttribute getAuditRule_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `AuditRule.getId()`, `getAuditRule()`
  ** Generated **

### getAuditRule_Rule

    org.eclipse.emf.ecore.EReference getAuditRule_Rule()

  Returns the meta object for the containment reference '`Rule`'.

  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `AuditRule.getRule()`, `getAuditRule()`
  ** Generated **

### getAuditRule_Target

    org.eclipse.emf.ecore.EReference getAuditRule_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `AuditRule.getTarget()`, `getAuditRule()`
  ** Generated **

### getAuditRule_Severity

    org.eclipse.emf.ecore.EAttribute getAuditRule_Severity()

  Returns the meta object for the attribute '`Severity`'.

  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `AuditRule.getSeverity()`, `getAuditRule()`
  ** Generated **

### getAuditRule_UseInLiveMode

    org.eclipse.emf.ecore.EAttribute getAuditRule_UseInLiveMode()

  Returns the meta object for the attribute '`Use In Live Mode`'.

  Returns:
    the meta object for the attribute 'Use In Live Mode'.
  See Also:
    `AuditRule.isUseInLiveMode()`, `getAuditRule()`
  ** Generated **

### getAuditRule_Message

    org.eclipse.emf.ecore.EAttribute getAuditRule_Message()

  Returns the meta object for the attribute '`Message`'.

  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `AuditRule.getMessage()`, `getAuditRule()`
  ** Generated **

### getAuditRule_Container

    org.eclipse.emf.ecore.EReference getAuditRule_Container()

  Returns the meta object for the container reference '`Container`'.

  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `AuditRule.getContainer()`, `getAuditRule()`
  ** Generated **

### getRuleBase

    org.eclipse.emf.ecore.EClass getRuleBase()

  Returns the meta object for class '`Rule Base`'.

  Returns:
    the meta object for class 'Rule Base'.
  See Also:
    `RuleBase`
  ** Generated **

### getRuleBase_Name

    org.eclipse.emf.ecore.EAttribute getRuleBase_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `RuleBase.getName()`, `getRuleBase()`
  ** Generated **

### getRuleBase_Description

    org.eclipse.emf.ecore.EAttribute getRuleBase_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `RuleBase.getDescription()`, `getRuleBase()`
  ** Generated **

### getDomainElementTarget

    org.eclipse.emf.ecore.EClass getDomainElementTarget()

  Returns the meta object for class '`Domain Element Target`'.

  Returns:
    the meta object for class 'Domain Element Target'.
  See Also:
    `DomainElementTarget`
  ** Generated **

### getDomainElementTarget_Element

    org.eclipse.emf.ecore.EReference getDomainElementTarget_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `DomainElementTarget.getElement()`, `getDomainElementTarget()`
  ** Generated **

### getDomainAttributeTarget

    org.eclipse.emf.ecore.EClass getDomainAttributeTarget()

  Returns the meta object for class '`Domain Attribute Target`'.

  Returns:
    the meta object for class 'Domain Attribute Target'.
  See Also:
    `DomainAttributeTarget`
  ** Generated **

### getDomainAttributeTarget_Attribute

    org.eclipse.emf.ecore.EReference getDomainAttributeTarget_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `DomainAttributeTarget.getAttribute()`, `getDomainAttributeTarget()`
  ** Generated **

### getDomainAttributeTarget_NullAsError

    org.eclipse.emf.ecore.EAttribute getDomainAttributeTarget_NullAsError()

  Returns the meta object for the attribute '`Null As Error`'.

  Returns:
    the meta object for the attribute 'Null As Error'.
  See Also:
    `DomainAttributeTarget.isNullAsError()`, `getDomainAttributeTarget()`
  ** Generated **

### getDiagramElementTarget

    org.eclipse.emf.ecore.EClass getDiagramElementTarget()

  Returns the meta object for class '`Diagram Element Target`'.

  Returns:
    the meta object for class 'Diagram Element Target'.
  See Also:
    `DiagramElementTarget`
  ** Generated **

### getDiagramElementTarget_Element

    org.eclipse.emf.ecore.EReference getDiagramElementTarget_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `DiagramElementTarget.getElement()`, `getDiagramElementTarget()`
  ** Generated **

### getNotationElementTarget

    org.eclipse.emf.ecore.EClass getNotationElementTarget()

  Returns the meta object for class '`Notation Element Target`'.

  Returns:
    the meta object for class 'Notation Element Target'.
  See Also:
    `NotationElementTarget`
  ** Generated **

### getNotationElementTarget_Element

    org.eclipse.emf.ecore.EReference getNotationElementTarget_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `NotationElementTarget.getElement()`, `getNotationElementTarget()`
  ** Generated **

### getMetricContainer

    org.eclipse.emf.ecore.EClass getMetricContainer()

  Returns the meta object for class '`Metric Container`'.

  Returns:
    the meta object for class 'Metric Container'.
  See Also:
    `MetricContainer`
  ** Generated **

### getMetricContainer_Metrics

    org.eclipse.emf.ecore.EReference getMetricContainer_Metrics()

  Returns the meta object for the containment reference list '`Metrics`'.

  Returns:
    the meta object for the containment reference list 'Metrics'.
  See Also:
    `MetricContainer.getMetrics()`, `getMetricContainer()`
  ** Generated **

### getMetricRule

    org.eclipse.emf.ecore.EClass getMetricRule()

  Returns the meta object for class '`Metric Rule`'.

  Returns:
    the meta object for class 'Metric Rule'.
  See Also:
    `MetricRule`
  ** Generated **

### getMetricRule_Key

    org.eclipse.emf.ecore.EAttribute getMetricRule_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `MetricRule.getKey()`, `getMetricRule()`
  ** Generated **

### getMetricRule_Rule

    org.eclipse.emf.ecore.EReference getMetricRule_Rule()

  Returns the meta object for the containment reference '`Rule`'.

  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `MetricRule.getRule()`, `getMetricRule()`
  ** Generated **

### getMetricRule_Target

    org.eclipse.emf.ecore.EReference getMetricRule_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `MetricRule.getTarget()`, `getMetricRule()`
  ** Generated **

### getMetricRule_LowLimit

    org.eclipse.emf.ecore.EAttribute getMetricRule_LowLimit()

  Returns the meta object for the attribute '`Low Limit`'.

  Returns:
    the meta object for the attribute 'Low Limit'.
  See Also:
    `MetricRule.getLowLimit()`, `getMetricRule()`
  ** Generated **

### getMetricRule_HighLimit

    org.eclipse.emf.ecore.EAttribute getMetricRule_HighLimit()

  Returns the meta object for the attribute '`High Limit`'.

  Returns:
    the meta object for the attribute 'High Limit'.
  See Also:
    `MetricRule.getHighLimit()`, `getMetricRule()`
  ** Generated **

### getMetricRule_Container

    org.eclipse.emf.ecore.EReference getMetricRule_Container()

  Returns the meta object for the container reference '`Container`'.

  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `MetricRule.getContainer()`, `getMetricRule()`
  ** Generated **

### getAuditedMetricTarget

    org.eclipse.emf.ecore.EClass getAuditedMetricTarget()

  Returns the meta object for class '`Audited Metric Target`'.

  Returns:
    the meta object for class 'Audited Metric Target'.
  See Also:
    `AuditedMetricTarget`
  ** Generated **

### getAuditedMetricTarget_Metric

    org.eclipse.emf.ecore.EReference getAuditedMetricTarget_Metric()

  Returns the meta object for the reference '`Metric`'.

  Returns:
    the meta object for the reference 'Metric'.
  See Also:
    `AuditedMetricTarget.getMetric()`, `getAuditedMetricTarget()`
  ** Generated **

### getAuditable

    org.eclipse.emf.ecore.EClass getAuditable()

  Returns the meta object for class '`Auditable`'.

  Returns:
    the meta object for class 'Auditable'.
  See Also:
    `Auditable`
  ** Generated **

### getMeasurable

    org.eclipse.emf.ecore.EClass getMeasurable()

  Returns the meta object for class '`Measurable`'.

  Returns:
    the meta object for class 'Measurable'.
  See Also:
    `Measurable`
  ** Generated **

### getLabelTextAccessMethod

    org.eclipse.emf.ecore.EEnum getLabelTextAccessMethod()

  Returns the meta object for enum '`Label Text Access Method`'.

  Returns:
    the meta object for enum 'Label Text Access Method'.
  See Also:
    `LabelTextAccessMethod`
  ** Generated **

### getSeverity

    org.eclipse.emf.ecore.EEnum getSeverity()

  Returns the meta object for enum '`Severity`'.

  Returns:
    the meta object for enum 'Severity'.
  See Also:
    `Severity`
  ** Generated **

### getLanguage

    org.eclipse.emf.ecore.EEnum getLanguage()

  Returns the meta object for enum '`Language`'.

  Returns:
    the meta object for enum 'Language'.
  See Also:
    `Language`
  ** Generated **

### getGMFMapFactory

    GMFMapFactory getGMFMapFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.